org.opencv.imgproc

## Class Imgproc

- java.lang.Object
- - org.opencv.imgproc.Imgproc

-     public class Imgproc
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADAPTIVE_THRESH_GAUSSIAN_C`
    `static int` | `ADAPTIVE_THRESH_MEAN_C`
    `static int` | `CC_STAT_AREA`
    `static int` | `CC_STAT_HEIGHT`
    `static int` | `CC_STAT_LEFT`
    `static int` | `CC_STAT_MAX`
    `static int` | `CC_STAT_TOP`
    `static int` | `CC_STAT_WIDTH`
    `static int` | `CCL_DEFAULT`
    `static int` | `CCL_GRANA`
    `static int` | `CCL_WU`
    `static int` | `CHAIN_APPROX_NONE`
    `static int` | `CHAIN_APPROX_SIMPLE`
    `static int` | `CHAIN_APPROX_TC89_KCOS`
    `static int` | `CHAIN_APPROX_TC89_L1`
    `static int` | `COLOR_BayerBG2BGR`
    `static int` | `COLOR_BayerBG2BGR_EA`
    `static int` | `COLOR_BayerBG2BGR_VNG`
    `static int` | `COLOR_BayerBG2BGRA`
    `static int` | `COLOR_BayerBG2GRAY`
    `static int` | `COLOR_BayerBG2RGB`
    `static int` | `COLOR_BayerBG2RGB_EA`
    `static int` | `COLOR_BayerBG2RGB_VNG`
    `static int` | `COLOR_BayerBG2RGBA`
    `static int` | `COLOR_BayerGB2BGR`
    `static int` | `COLOR_BayerGB2BGR_EA`
    `static int` | `COLOR_BayerGB2BGR_VNG`
    `static int` | `COLOR_BayerGB2BGRA`
    `static int` | `COLOR_BayerGB2GRAY`
    `static int` | `COLOR_BayerGB2RGB`
    `static int` | `COLOR_BayerGB2RGB_EA`
    `static int` | `COLOR_BayerGB2RGB_VNG`
    `static int` | `COLOR_BayerGB2RGBA`
    `static int` | `COLOR_BayerGR2BGR`
    `static int` | `COLOR_BayerGR2BGR_EA`
    `static int` | `COLOR_BayerGR2BGR_VNG`
    `static int` | `COLOR_BayerGR2BGRA`
    `static int` | `COLOR_BayerGR2GRAY`
    `static int` | `COLOR_BayerGR2RGB`
    `static int` | `COLOR_BayerGR2RGB_EA`
    `static int` | `COLOR_BayerGR2RGB_VNG`
    `static int` | `COLOR_BayerGR2RGBA`
    `static int` | `COLOR_BayerRG2BGR`
    `static int` | `COLOR_BayerRG2BGR_EA`
    `static int` | `COLOR_BayerRG2BGR_VNG`
    `static int` | `COLOR_BayerRG2BGRA`
    `static int` | `COLOR_BayerRG2GRAY`
    `static int` | `COLOR_BayerRG2RGB`
    `static int` | `COLOR_BayerRG2RGB_EA`
    `static int` | `COLOR_BayerRG2RGB_VNG`
    `static int` | `COLOR_BayerRG2RGBA`
    `static int` | `COLOR_BGR2BGR555`
    `static int` | `COLOR_BGR2BGR565`
    `static int` | `COLOR_BGR2BGRA`
    `static int` | `COLOR_BGR2GRAY`
    `static int` | `COLOR_BGR2HLS`
    `static int` | `COLOR_BGR2HLS_FULL`
    `static int` | `COLOR_BGR2HSV`
    `static int` | `COLOR_BGR2HSV_FULL`
    `static int` | `COLOR_BGR2Lab`
    `static int` | `COLOR_BGR2Luv`
    `static int` | `COLOR_BGR2RGB`
    `static int` | `COLOR_BGR2RGBA`
    `static int` | `COLOR_BGR2XYZ`
    `static int` | `COLOR_BGR2YCrCb`
    `static int` | `COLOR_BGR2YUV`
    `static int` | `COLOR_BGR2YUV_I420`
    `static int` | `COLOR_BGR2YUV_IYUV`
    `static int` | `COLOR_BGR2YUV_YV12`
    `static int` | `COLOR_BGR5552BGR`
    `static int` | `COLOR_BGR5552BGRA`
    `static int` | `COLOR_BGR5552GRAY`
    `static int` | `COLOR_BGR5552RGB`
    `static int` | `COLOR_BGR5552RGBA`
    `static int` | `COLOR_BGR5652BGR`
    `static int` | `COLOR_BGR5652BGRA`
    `static int` | `COLOR_BGR5652GRAY`
    `static int` | `COLOR_BGR5652RGB`
    `static int` | `COLOR_BGR5652RGBA`
    `static int` | `COLOR_BGRA2BGR`
    `static int` | `COLOR_BGRA2BGR555`
    `static int` | `COLOR_BGRA2BGR565`
    `static int` | `COLOR_BGRA2GRAY`
    `static int` | `COLOR_BGRA2RGB`
    `static int` | `COLOR_BGRA2RGBA`
    `static int` | `COLOR_BGRA2YUV_I420`
    `static int` | `COLOR_BGRA2YUV_IYUV`
    `static int` | `COLOR_BGRA2YUV_YV12`
    `static int` | `COLOR_COLORCVT_MAX`
    `static int` | `COLOR_GRAY2BGR`
    `static int` | `COLOR_GRAY2BGR555`
    `static int` | `COLOR_GRAY2BGR565`
    `static int` | `COLOR_GRAY2BGRA`
    `static int` | `COLOR_GRAY2RGB`
    `static int` | `COLOR_GRAY2RGBA`
    `static int` | `COLOR_HLS2BGR`
    `static int` | `COLOR_HLS2BGR_FULL`
    `static int` | `COLOR_HLS2RGB`
    `static int` | `COLOR_HLS2RGB_FULL`
    `static int` | `COLOR_HSV2BGR`
    `static int` | `COLOR_HSV2BGR_FULL`
    `static int` | `COLOR_HSV2RGB`
    `static int` | `COLOR_HSV2RGB_FULL`
    `static int` | `COLOR_Lab2BGR`
    `static int` | `COLOR_Lab2LBGR`
    `static int` | `COLOR_Lab2LRGB`
    `static int` | `COLOR_Lab2RGB`
    `static int` | `COLOR_LBGR2Lab`
    `static int` | `COLOR_LBGR2Luv`
    `static int` | `COLOR_LRGB2Lab`
    `static int` | `COLOR_LRGB2Luv`
    `static int` | `COLOR_Luv2BGR`
    `static int` | `COLOR_Luv2LBGR`
    `static int` | `COLOR_Luv2LRGB`
    `static int` | `COLOR_Luv2RGB`
    `static int` | `COLOR_mRGBA2RGBA`
    `static int` | `COLOR_RGB2BGR`
    `static int` | `COLOR_RGB2BGR555`
    `static int` | `COLOR_RGB2BGR565`
    `static int` | `COLOR_RGB2BGRA`
    `static int` | `COLOR_RGB2GRAY`
    `static int` | `COLOR_RGB2HLS`
    `static int` | `COLOR_RGB2HLS_FULL`
    `static int` | `COLOR_RGB2HSV`
    `static int` | `COLOR_RGB2HSV_FULL`
    `static int` | `COLOR_RGB2Lab`
    `static int` | `COLOR_RGB2Luv`
    `static int` | `COLOR_RGB2RGBA`
    `static int` | `COLOR_RGB2XYZ`
    `static int` | `COLOR_RGB2YCrCb`
    `static int` | `COLOR_RGB2YUV`
    `static int` | `COLOR_RGB2YUV_I420`
    `static int` | `COLOR_RGB2YUV_IYUV`
    `static int` | `COLOR_RGB2YUV_YV12`
    `static int` | `COLOR_RGBA2BGR`
    `static int` | `COLOR_RGBA2BGR555`
    `static int` | `COLOR_RGBA2BGR565`
    `static int` | `COLOR_RGBA2BGRA`
    `static int` | `COLOR_RGBA2GRAY`
    `static int` | `COLOR_RGBA2mRGBA`
    `static int` | `COLOR_RGBA2RGB`
    `static int` | `COLOR_RGBA2YUV_I420`
    `static int` | `COLOR_RGBA2YUV_IYUV`
    `static int` | `COLOR_RGBA2YUV_YV12`
    `static int` | `COLOR_XYZ2BGR`
    `static int` | `COLOR_XYZ2RGB`
    `static int` | `COLOR_YCrCb2BGR`
    `static int` | `COLOR_YCrCb2RGB`
    `static int` | `COLOR_YUV2BGR`
    `static int` | `COLOR_YUV2BGR_I420`
    `static int` | `COLOR_YUV2BGR_IYUV`
    `static int` | `COLOR_YUV2BGR_NV12`
    `static int` | `COLOR_YUV2BGR_NV21`
    `static int` | `COLOR_YUV2BGR_UYNV`
    `static int` | `COLOR_YUV2BGR_UYVY`
    `static int` | `COLOR_YUV2BGR_Y422`
    `static int` | `COLOR_YUV2BGR_YUNV`
    `static int` | `COLOR_YUV2BGR_YUY2`
    `static int` | `COLOR_YUV2BGR_YUYV`
    `static int` | `COLOR_YUV2BGR_YV12`
    `static int` | `COLOR_YUV2BGR_YVYU`
    `static int` | `COLOR_YUV2BGRA_I420`
    `static int` | `COLOR_YUV2BGRA_IYUV`
    `static int` | `COLOR_YUV2BGRA_NV12`
    `static int` | `COLOR_YUV2BGRA_NV21`
    `static int` | `COLOR_YUV2BGRA_UYNV`
    `static int` | `COLOR_YUV2BGRA_UYVY`
    `static int` | `COLOR_YUV2BGRA_Y422`
    `static int` | `COLOR_YUV2BGRA_YUNV`
    `static int` | `COLOR_YUV2BGRA_YUY2`
    `static int` | `COLOR_YUV2BGRA_YUYV`
    `static int` | `COLOR_YUV2BGRA_YV12`
    `static int` | `COLOR_YUV2BGRA_YVYU`
    `static int` | `COLOR_YUV2GRAY_420`
    `static int` | `COLOR_YUV2GRAY_I420`
    `static int` | `COLOR_YUV2GRAY_IYUV`
    `static int` | `COLOR_YUV2GRAY_NV12`
    `static int` | `COLOR_YUV2GRAY_NV21`
    `static int` | `COLOR_YUV2GRAY_UYNV`
    `static int` | `COLOR_YUV2GRAY_UYVY`
    `static int` | `COLOR_YUV2GRAY_Y422`
    `static int` | `COLOR_YUV2GRAY_YUNV`
    `static int` | `COLOR_YUV2GRAY_YUY2`
    `static int` | `COLOR_YUV2GRAY_YUYV`
    `static int` | `COLOR_YUV2GRAY_YV12`
    `static int` | `COLOR_YUV2GRAY_YVYU`
    `static int` | `COLOR_YUV2RGB`
    `static int` | `COLOR_YUV2RGB_I420`
    `static int` | `COLOR_YUV2RGB_IYUV`
    `static int` | `COLOR_YUV2RGB_NV12`
    `static int` | `COLOR_YUV2RGB_NV21`
    `static int` | `COLOR_YUV2RGB_UYNV`
    `static int` | `COLOR_YUV2RGB_UYVY`
    `static int` | `COLOR_YUV2RGB_Y422`
    `static int` | `COLOR_YUV2RGB_YUNV`
    `static int` | `COLOR_YUV2RGB_YUY2`
    `static int` | `COLOR_YUV2RGB_YUYV`
    `static int` | `COLOR_YUV2RGB_YV12`
    `static int` | `COLOR_YUV2RGB_YVYU`
    `static int` | `COLOR_YUV2RGBA_I420`
    `static int` | `COLOR_YUV2RGBA_IYUV`
    `static int` | `COLOR_YUV2RGBA_NV12`
    `static int` | `COLOR_YUV2RGBA_NV21`
    `static int` | `COLOR_YUV2RGBA_UYNV`
    `static int` | `COLOR_YUV2RGBA_UYVY`
    `static int` | `COLOR_YUV2RGBA_Y422`
    `static int` | `COLOR_YUV2RGBA_YUNV`
    `static int` | `COLOR_YUV2RGBA_YUY2`
    `static int` | `COLOR_YUV2RGBA_YUYV`
    `static int` | `COLOR_YUV2RGBA_YV12`
    `static int` | `COLOR_YUV2RGBA_YVYU`
    `static int` | `COLOR_YUV420p2BGR`
    `static int` | `COLOR_YUV420p2BGRA`
    `static int` | `COLOR_YUV420p2GRAY`
    `static int` | `COLOR_YUV420p2RGB`
    `static int` | `COLOR_YUV420p2RGBA`
    `static int` | `COLOR_YUV420sp2BGR`
    `static int` | `COLOR_YUV420sp2BGRA`
    `static int` | `COLOR_YUV420sp2GRAY`
    `static int` | `COLOR_YUV420sp2RGB`
    `static int` | `COLOR_YUV420sp2RGBA`
    `static int` | `COLORMAP_AUTUMN`
    `static int` | `COLORMAP_BONE`
    `static int` | `COLORMAP_COOL`
    `static int` | `COLORMAP_HOT`
    `static int` | `COLORMAP_HSV`
    `static int` | `COLORMAP_JET`
    `static int` | `COLORMAP_OCEAN`
    `static int` | `COLORMAP_PARULA`
    `static int` | `COLORMAP_PINK`
    `static int` | `COLORMAP_RAINBOW`
    `static int` | `COLORMAP_SPRING`
    `static int` | `COLORMAP_SUMMER`
    `static int` | `COLORMAP_WINTER`
    `static int` | `CONTOURS_MATCH_I1`
    `static int` | `CONTOURS_MATCH_I2`
    `static int` | `CONTOURS_MATCH_I3`
    `static int` | `CV_BILATERAL`
    `static int` | `CV_BLUR`
    `static int` | `CV_BLUR_NO_SCALE`
    `static int` | `CV_CANNY_L2_GRADIENT`
    `static int` | `CV_CHAIN_CODE`
    `static int` | `CV_CLOCKWISE`
    `static int` | `CV_COMP_BHATTACHARYYA`
    `static int` | `CV_COMP_CHISQR`
    `static int` | `CV_COMP_CHISQR_ALT`
    `static int` | `CV_COMP_CORREL`
    `static int` | `CV_COMP_HELLINGER`
    `static int` | `CV_COMP_INTERSECT`
    `static int` | `CV_COMP_KL_DIV`
    `static int` | `CV_CONTOURS_MATCH_I1`
    `static int` | `CV_CONTOURS_MATCH_I2`
    `static int` | `CV_CONTOURS_MATCH_I3`
    `static int` | `CV_COUNTER_CLOCKWISE`
    `static int` | `CV_DIST_C`
    `static int` | `CV_DIST_FAIR`
    `static int` | `CV_DIST_HUBER`
    `static int` | `CV_DIST_L1`
    `static int` | `CV_DIST_L12`
    `static int` | `CV_DIST_L2`
    `static int` | `CV_DIST_LABEL_CCOMP`
    `static int` | `CV_DIST_LABEL_PIXEL`
    `static int` | `CV_DIST_MASK_3`
    `static int` | `CV_DIST_MASK_5`
    `static int` | `CV_DIST_MASK_PRECISE`
    `static int` | `CV_DIST_USER`
    `static int` | `CV_DIST_WELSCH`
    `static int` | `CV_GAUSSIAN`
    `static int` | `CV_GAUSSIAN_5x5`
    `static int` | `CV_HOUGH_GRADIENT`
    `static int` | `CV_HOUGH_MULTI_SCALE`
    `static int` | `CV_HOUGH_PROBABILISTIC`
    `static int` | `CV_HOUGH_STANDARD`
    `static int` | `CV_LINK_RUNS`
    `static int` | `CV_MAX_SOBEL_KSIZE`
    `static int` | `CV_MEDIAN`
    `static int` | `CV_mRGBA2RGBA`
    `static int` | `CV_POLY_APPROX_DP`
    `static int` | `CV_RGBA2mRGBA`
    `static int` | `CV_SCHARR`
    `static int` | `CV_SHAPE_CROSS`
    `static int` | `CV_SHAPE_CUSTOM`
    `static int` | `CV_SHAPE_ELLIPSE`
    `static int` | `CV_SHAPE_RECT`
    `static int` | `CV_WARP_FILL_OUTLIERS`
    `static int` | `CV_WARP_INVERSE_MAP`
    `static int` | `DIST_C`
    `static int` | `DIST_FAIR`
    `static int` | `DIST_HUBER`
    `static int` | `DIST_L1`
    `static int` | `DIST_L12`
    `static int` | `DIST_L2`
    `static int` | `DIST_LABEL_CCOMP`
    `static int` | `DIST_LABEL_PIXEL`
    `static int` | `DIST_MASK_3`
    `static int` | `DIST_MASK_5`
    `static int` | `DIST_MASK_PRECISE`
    `static int` | `DIST_USER`
    `static int` | `DIST_WELSCH`
    `static int` | `FLOODFILL_FIXED_RANGE`
    `static int` | `FLOODFILL_MASK_ONLY`
    `static int` | `GC_BGD`
    `static int` | `GC_EVAL`
    `static int` | `GC_EVAL_FREEZE_MODEL`
    `static int` | `GC_FGD`
    `static int` | `GC_INIT_WITH_MASK`
    `static int` | `GC_INIT_WITH_RECT`
    `static int` | `GC_PR_BGD`
    `static int` | `GC_PR_FGD`
    `static int` | `HISTCMP_BHATTACHARYYA`
    `static int` | `HISTCMP_CHISQR`
    `static int` | `HISTCMP_CHISQR_ALT`
    `static int` | `HISTCMP_CORREL`
    `static int` | `HISTCMP_HELLINGER`
    `static int` | `HISTCMP_INTERSECT`
    `static int` | `HISTCMP_KL_DIV`
    `static int` | `HOUGH_GRADIENT`
    `static int` | `HOUGH_MULTI_SCALE`
    `static int` | `HOUGH_PROBABILISTIC`
    `static int` | `HOUGH_STANDARD`
    `static int` | `INTER_AREA`
    `static int` | `INTER_BITS`
    `static int` | `INTER_BITS2`
    `static int` | `INTER_CUBIC`
    `static int` | `INTER_LANCZOS4`
    `static int` | `INTER_LINEAR`
    `static int` | `INTER_LINEAR_EXACT`
    `static int` | `INTER_MAX`
    `static int` | `INTER_NEAREST`
    `static int` | `INTER_TAB_SIZE`
    `static int` | `INTER_TAB_SIZE2`
    `static int` | `INTERSECT_FULL`
    `static int` | `INTERSECT_NONE`
    `static int` | `INTERSECT_PARTIAL`
    `static int` | `LINE_4`
    `static int` | `LINE_8`
    `static int` | `LINE_AA`
    `static int` | `LSD_REFINE_ADV`
    `static int` | `LSD_REFINE_NONE`
    `static int` | `LSD_REFINE_STD`
    `static int` | `MARKER_CROSS`
    `static int` | `MARKER_DIAMOND`
    `static int` | `MARKER_SQUARE`
    `static int` | `MARKER_STAR`
    `static int` | `MARKER_TILTED_CROSS`
    `static int` | `MARKER_TRIANGLE_DOWN`
    `static int` | `MARKER_TRIANGLE_UP`
    `static int` | `MORPH_BLACKHAT`
    `static int` | `MORPH_CLOSE`
    `static int` | `MORPH_CROSS`
    `static int` | `MORPH_DILATE`
    `static int` | `MORPH_ELLIPSE`
    `static int` | `MORPH_ERODE`
    `static int` | `MORPH_GRADIENT`
    `static int` | `MORPH_HITMISS`
    `static int` | `MORPH_OPEN`
    `static int` | `MORPH_RECT`
    `static int` | `MORPH_TOPHAT`
    `static int` | `PROJ_SPHERICAL_EQRECT`
    `static int` | `PROJ_SPHERICAL_ORTHO`
    `static int` | `RETR_CCOMP`
    `static int` | `RETR_EXTERNAL`
    `static int` | `RETR_FLOODFILL`
    `static int` | `RETR_LIST`
    `static int` | `RETR_TREE`
    `static int` | `THRESH_BINARY`
    `static int` | `THRESH_BINARY_INV`
    `static int` | `THRESH_MASK`
    `static int` | `THRESH_OTSU`
    `static int` | `THRESH_TOZERO`
    `static int` | `THRESH_TOZERO_INV`
    `static int` | `THRESH_TRIANGLE`
    `static int` | `THRESH_TRUNC`
    `static int` | `TM_CCOEFF`
    `static int` | `TM_CCOEFF_NORMED`
    `static int` | `TM_CCORR`
    `static int` | `TM_CCORR_NORMED`
    `static int` | `TM_SQDIFF`
    `static int` | `TM_SQDIFF_NORMED`
    `static int` | `WARP_FILL_OUTLIERS`
    `static int` | `WARP_INVERSE_MAP`
    `static int` | `WARP_POLAR_LINEAR`
    `static int` | `WARP_POLAR_LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Imgproc()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `accumulate(Mat src, Mat dst)`
    `static void` | `accumulate(Mat src, Mat dst, Mat mask)`
    `static void` | `accumulateProduct(Mat src1, Mat src2, Mat dst)`
    `static void` | `accumulateProduct(Mat src1, Mat src2, Mat dst, Mat mask)`
    `static void` | `accumulateSquare(Mat src, Mat dst)`
    `static void` | `accumulateSquare(Mat src, Mat dst, Mat mask)`
    `static void` | `accumulateWeighted(Mat src, Mat dst, double alpha)`
    `static void` | `accumulateWeighted(Mat src, Mat dst, double alpha, Mat mask)`
    `static void` | `adaptiveThreshold(Mat src, Mat dst, double maxValue, int adaptiveMethod, int thresholdType, int blockSize, double C)`
    `static void` | `applyColorMap(Mat src, Mat dst, int colormap)`
    `static void` | `applyColorMap(Mat src, Mat dst, Mat userColor)`
    `static void` | `approxPolyDP(MatOfPoint2f curve, MatOfPoint2f approxCurve, double epsilon, boolean closed)`
    `static double` | `arcLength(MatOfPoint2f curve, boolean closed)`
    `static void` | `arrowedLine(Mat img, Point pt1, Point pt2, Scalar color)`
    `static void` | `arrowedLine(Mat img, Point pt1, Point pt2, Scalar color, int thickness)`
    `static void` | `arrowedLine(Mat img, Point pt1, Point pt2, Scalar color, int thickness, int line_type)`
    `static void` | `arrowedLine(Mat img, Point pt1, Point pt2, Scalar color, int thickness, int line_type, int shift)`
    `static void` | `arrowedLine(Mat img, Point pt1, Point pt2, Scalar color, int thickness, int line_type, int shift, double tipLength)`
    `static void` | `bilateralFilter(Mat src, Mat dst, int d, double sigmaColor, double sigmaSpace)`
    `static void` | `bilateralFilter(Mat src, Mat dst, int d, double sigmaColor, double sigmaSpace, int borderType)`
    `static void` | `blur(Mat src, Mat dst, Size ksize)`
    `static void` | `blur(Mat src, Mat dst, Size ksize, Point anchor)`
    `static void` | `blur(Mat src, Mat dst, Size ksize, Point anchor, int borderType)`
    `static Rect` | `boundingRect(MatOfPoint points)`
    `static void` | `boxFilter(Mat src, Mat dst, int ddepth, Size ksize)`
    `static void` | `boxFilter(Mat src, Mat dst, int ddepth, Size ksize, Point anchor)`
    `static void` | `boxFilter(Mat src, Mat dst, int ddepth, Size ksize, Point anchor, boolean normalize)`
    `static void` | `boxFilter(Mat src, Mat dst, int ddepth, Size ksize, Point anchor, boolean normalize, int borderType)`
    `static void` | `boxPoints(RotatedRect box, Mat points)`
    `static void` | `calcBackProject(java.util.List<Mat> images, MatOfInt channels, Mat hist, Mat dst, MatOfFloat ranges, double scale)`
    `static void` | `calcHist(java.util.List<Mat> images, MatOfInt channels, Mat mask, Mat hist, MatOfInt histSize, MatOfFloat ranges)`
    `static void` | `calcHist(java.util.List<Mat> images, MatOfInt channels, Mat mask, Mat hist, MatOfInt histSize, MatOfFloat ranges, boolean accumulate)`
    `static void` | `Canny(Mat image, Mat edges, double threshold1, double threshold2)`
    `static void` | `Canny(Mat image, Mat edges, double threshold1, double threshold2, int apertureSize)`
    `static void` | `Canny(Mat image, Mat edges, double threshold1, double threshold2, int apertureSize, boolean L2gradient)`
    `static void` | `Canny(Mat dx, Mat dy, Mat edges, double threshold1, double threshold2)`
    `static void` | `Canny(Mat dx, Mat dy, Mat edges, double threshold1, double threshold2, boolean L2gradient)`
    `static void` | `circle(Mat img, Point center, int radius, Scalar color)`
    `static void` | `circle(Mat img, Point center, int radius, Scalar color, int thickness)`
    `static void` | `circle(Mat img, Point center, int radius, Scalar color, int thickness, int lineType)`
    `static void` | `circle(Mat img, Point center, int radius, Scalar color, int thickness, int lineType, int shift)`
    `static boolean` | `clipLine(Rect imgRect, Point pt1, Point pt2)`
    `static double` | `compareHist(Mat H1, Mat H2, int method)`
    `static int` | `connectedComponents(Mat image, Mat labels)`
    `static int` | `connectedComponents(Mat image, Mat labels, int connectivity)`
    `static int` | `connectedComponents(Mat image, Mat labels, int connectivity, int ltype)`
    `static int` | `connectedComponentsWithAlgorithm(Mat image, Mat labels, int connectivity, int ltype, int ccltype)`
    `static int` | `connectedComponentsWithStats(Mat image, Mat labels, Mat stats, Mat centroids)`
    `static int` | `connectedComponentsWithStats(Mat image, Mat labels, Mat stats, Mat centroids, int connectivity)`
    `static int` | `connectedComponentsWithStats(Mat image, Mat labels, Mat stats, Mat centroids, int connectivity, int ltype)`
    `static int` | `connectedComponentsWithStatsWithAlgorithm(Mat image, Mat labels, Mat stats, Mat centroids, int connectivity, int ltype, int ccltype)`
    `static double` | `contourArea(Mat contour)`
    `static double` | `contourArea(Mat contour, boolean oriented)`
    `static void` | `convertMaps(Mat map1, Mat map2, Mat dstmap1, Mat dstmap2, int dstmap1type)`
    `static void` | `convertMaps(Mat map1, Mat map2, Mat dstmap1, Mat dstmap2, int dstmap1type, boolean nninterpolation)`
    `static void` | `convexHull(MatOfPoint points, MatOfInt hull)`
    `static void` | `convexHull(MatOfPoint points, MatOfInt hull, boolean clockwise)`
    `static void` | `convexityDefects(MatOfPoint contour, MatOfInt convexhull, MatOfInt4 convexityDefects)`
    `static void` | `cornerEigenValsAndVecs(Mat src, Mat dst, int blockSize, int ksize)`
    `static void` | `cornerEigenValsAndVecs(Mat src, Mat dst, int blockSize, int ksize, int borderType)`
    `static void` | `cornerHarris(Mat src, Mat dst, int blockSize, int ksize, double k)`
    `static void` | `cornerHarris(Mat src, Mat dst, int blockSize, int ksize, double k, int borderType)`
    `static void` | `cornerMinEigenVal(Mat src, Mat dst, int blockSize)`
    `static void` | `cornerMinEigenVal(Mat src, Mat dst, int blockSize, int ksize)`
    `static void` | `cornerMinEigenVal(Mat src, Mat dst, int blockSize, int ksize, int borderType)`
    `static void` | `cornerSubPix(Mat image, Mat corners, Size winSize, Size zeroZone, TermCriteria criteria)`
    `static CLAHE` | `createCLAHE()`
    `static CLAHE` | `createCLAHE(double clipLimit)`
    `static CLAHE` | `createCLAHE(double clipLimit, Size tileGridSize)`
    `static void` | `createHanningWindow(Mat dst, Size winSize, int type)`
    `static LineSegmentDetector` | `createLineSegmentDetector()`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine)`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine, double _scale)`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine, double _scale, double _sigma_scale)`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine, double _scale, double _sigma_scale, double _quant)`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine, double _scale, double _sigma_scale, double _quant, double _ang_th)`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine, double _scale, double _sigma_scale, double _quant, double _ang_th, double _log_eps)`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine, double _scale, double _sigma_scale, double _quant, double _ang_th, double _log_eps, double _density_th)`
    `static LineSegmentDetector` | `createLineSegmentDetector(int _refine, double _scale, double _sigma_scale, double _quant, double _ang_th, double _log_eps, double _density_th, int _n_bins)`
    `static void` | `cvtColor(Mat src, Mat dst, int code)`
    `static void` | `cvtColor(Mat src, Mat dst, int code, int dstCn)`
    `static void` | `cvtColorTwoPlane(Mat src1, Mat src2, Mat dst, int code)`
    `static void` | `demosaicing(Mat _src, Mat _dst, int code)`
    `static void` | `demosaicing(Mat _src, Mat _dst, int code, int dcn)`
    `static void` | `dilate(Mat src, Mat dst, Mat kernel)`
    `static void` | `dilate(Mat src, Mat dst, Mat kernel, Point anchor)`
    `static void` | `dilate(Mat src, Mat dst, Mat kernel, Point anchor, int iterations)`
    `static void` | `dilate(Mat src, Mat dst, Mat kernel, Point anchor, int iterations, int borderType)`
    `static void` | `dilate(Mat src, Mat dst, Mat kernel, Point anchor, int iterations, int borderType, Scalar borderValue)`
    `static void` | `distanceTransform(Mat src, Mat dst, int distanceType, int maskSize)`
    `static void` | `distanceTransform(Mat src, Mat dst, int distanceType, int maskSize, int dstType)`
    `static void` | `distanceTransformWithLabels(Mat src, Mat dst, Mat labels, int distanceType, int maskSize)`
    `static void` | `distanceTransformWithLabels(Mat src, Mat dst, Mat labels, int distanceType, int maskSize, int labelType)`
    `static void` | `drawContours(Mat image, java.util.List<MatOfPoint> contours, int contourIdx, Scalar color)`
    `static void` | `drawContours(Mat image, java.util.List<MatOfPoint> contours, int contourIdx, Scalar color, int thickness)`
    `static void` | `drawContours(Mat image, java.util.List<MatOfPoint> contours, int contourIdx, Scalar color, int thickness, int lineType)`
    `static void` | `drawContours(Mat image, java.util.List<MatOfPoint> contours, int contourIdx, Scalar color, int thickness, int lineType, Mat hierarchy)`
    `static void` | `drawContours(Mat image, java.util.List<MatOfPoint> contours, int contourIdx, Scalar color, int thickness, int lineType, Mat hierarchy, int maxLevel)`
    `static void` | `drawContours(Mat image, java.util.List<MatOfPoint> contours, int contourIdx, Scalar color, int thickness, int lineType, Mat hierarchy, int maxLevel, Point offset)`
    `static void` | `drawMarker(Mat img, Point position, Scalar color)`
    `static void` | `drawMarker(Mat img, Point position, Scalar color, int markerType)`
    `static void` | `drawMarker(Mat img, Point position, Scalar color, int markerType, int markerSize)`
    `static void` | `drawMarker(Mat img, Point position, Scalar color, int markerType, int markerSize, int thickness)`
    `static void` | `drawMarker(Mat img, Point position, Scalar color, int markerType, int markerSize, int thickness, int line_type)`
    `static void` | `ellipse(Mat img, Point center, Size axes, double angle, double startAngle, double endAngle, Scalar color)`
    `static void` | `ellipse(Mat img, Point center, Size axes, double angle, double startAngle, double endAngle, Scalar color, int thickness)`
    `static void` | `ellipse(Mat img, Point center, Size axes, double angle, double startAngle, double endAngle, Scalar color, int thickness, int lineType)`
    `static void` | `ellipse(Mat img, Point center, Size axes, double angle, double startAngle, double endAngle, Scalar color, int thickness, int lineType, int shift)`
    `static void` | `ellipse(Mat img, RotatedRect box, Scalar color)`
    `static void` | `ellipse(Mat img, RotatedRect box, Scalar color, int thickness)`
    `static void` | `ellipse(Mat img, RotatedRect box, Scalar color, int thickness, int lineType)`
    `static void` | `ellipse2Poly(Point center, Size axes, int angle, int arcStart, int arcEnd, int delta, MatOfPoint pts)`
    `static float` | `EMD(Mat signature1, Mat signature2, int distType)`
    `static float` | `EMD(Mat signature1, Mat signature2, int distType, Mat cost)`
    `static float` | `EMD(Mat signature1, Mat signature2, int distType, Mat cost, Mat flow)`
    `static void` | `equalizeHist(Mat src, Mat dst)`
    `static void` | `erode(Mat src, Mat dst, Mat kernel)`
    `static void` | `erode(Mat src, Mat dst, Mat kernel, Point anchor)`
    `static void` | `erode(Mat src, Mat dst, Mat kernel, Point anchor, int iterations)`
    `static void` | `erode(Mat src, Mat dst, Mat kernel, Point anchor, int iterations, int borderType)`
    `static void` | `erode(Mat src, Mat dst, Mat kernel, Point anchor, int iterations, int borderType, Scalar borderValue)`
    `static void` | `fillConvexPoly(Mat img, MatOfPoint points, Scalar color)`
    `static void` | `fillConvexPoly(Mat img, MatOfPoint points, Scalar color, int lineType)`
    `static void` | `fillConvexPoly(Mat img, MatOfPoint points, Scalar color, int lineType, int shift)`
    `static void` | `fillPoly(Mat img, java.util.List<MatOfPoint> pts, Scalar color)`
    `static void` | `fillPoly(Mat img, java.util.List<MatOfPoint> pts, Scalar color, int lineType)`
    `static void` | `fillPoly(Mat img, java.util.List<MatOfPoint> pts, Scalar color, int lineType, int shift)`
    `static void` | `fillPoly(Mat img, java.util.List<MatOfPoint> pts, Scalar color, int lineType, int shift, Point offset)`
    `static void` | `filter2D(Mat src, Mat dst, int ddepth, Mat kernel)`
    `static void` | `filter2D(Mat src, Mat dst, int ddepth, Mat kernel, Point anchor)`
    `static void` | `filter2D(Mat src, Mat dst, int ddepth, Mat kernel, Point anchor, double delta)`
    `static void` | `filter2D(Mat src, Mat dst, int ddepth, Mat kernel, Point anchor, double delta, int borderType)`
    `static void` | `findContours(Mat image, java.util.List<MatOfPoint> contours, Mat hierarchy, int mode, int method)`
    `static void` | `findContours(Mat image, java.util.List<MatOfPoint> contours, Mat hierarchy, int mode, int method, Point offset)`
    `static RotatedRect` | `fitEllipse(MatOfPoint2f points)`
    `static RotatedRect` | `fitEllipseAMS(Mat points)`
    `static RotatedRect` | `fitEllipseDirect(Mat points)`
    `static void` | `fitLine(Mat points, Mat line, int distType, double param, double reps, double aeps)`
    `static int` | `floodFill(Mat image, Mat mask, Point seedPoint, Scalar newVal)`
    `static int` | `floodFill(Mat image, Mat mask, Point seedPoint, Scalar newVal, Rect rect)`
    `static int` | `floodFill(Mat image, Mat mask, Point seedPoint, Scalar newVal, Rect rect, Scalar loDiff)`
    `static int` | `floodFill(Mat image, Mat mask, Point seedPoint, Scalar newVal, Rect rect, Scalar loDiff, Scalar upDiff)`
    `static int` | `floodFill(Mat image, Mat mask, Point seedPoint, Scalar newVal, Rect rect, Scalar loDiff, Scalar upDiff, int flags)`
    `static void` | `GaussianBlur(Mat src, Mat dst, Size ksize, double sigmaX)`
    `static void` | `GaussianBlur(Mat src, Mat dst, Size ksize, double sigmaX, double sigmaY)`
    `static void` | `GaussianBlur(Mat src, Mat dst, Size ksize, double sigmaX, double sigmaY, int borderType)`
    `static Mat` | `getAffineTransform(MatOfPoint2f src, MatOfPoint2f dst)`
    `static Mat` | `getDefaultNewCameraMatrix(Mat cameraMatrix)`
    `static Mat` | `getDefaultNewCameraMatrix(Mat cameraMatrix, Size imgsize)`
    `static Mat` | `getDefaultNewCameraMatrix(Mat cameraMatrix, Size imgsize, boolean centerPrincipalPoint)`
    `static void` | `getDerivKernels(Mat kx, Mat ky, int dx, int dy, int ksize)`
    `static void` | `getDerivKernels(Mat kx, Mat ky, int dx, int dy, int ksize, boolean normalize)`
    `static void` | `getDerivKernels(Mat kx, Mat ky, int dx, int dy, int ksize, boolean normalize, int ktype)`
    `static double` | `getFontScaleFromHeight(int fontFace, int pixelHeight)`
    `static double` | `getFontScaleFromHeight(int fontFace, int pixelHeight, int thickness)`
    `static Mat` | `getGaborKernel(Size ksize, double sigma, double theta, double lambd, double gamma)`
    `static Mat` | `getGaborKernel(Size ksize, double sigma, double theta, double lambd, double gamma, double psi)`
    `static Mat` | `getGaborKernel(Size ksize, double sigma, double theta, double lambd, double gamma, double psi, int ktype)`
    `static Mat` | `getGaussianKernel(int ksize, double sigma)`
    `static Mat` | `getGaussianKernel(int ksize, double sigma, int ktype)`
    `static Mat` | `getPerspectiveTransform(Mat src, Mat dst)`
    `static void` | `getRectSubPix(Mat image, Size patchSize, Point center, Mat patch)`
    `static void` | `getRectSubPix(Mat image, Size patchSize, Point center, Mat patch, int patchType)`
    `static Mat` | `getRotationMatrix2D(Point center, double angle, double scale)`
    `static Mat` | `getStructuringElement(int shape, Size ksize)`
    `static Mat` | `getStructuringElement(int shape, Size ksize, Point anchor)`
    `static Size` | `getTextSize(java.lang.String text, int fontFace, double fontScale, int thickness, int[] baseLine)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance, Mat mask)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance, Mat mask, int blockSize)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance, Mat mask, int blockSize, boolean useHarrisDetector)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance, Mat mask, int blockSize, boolean useHarrisDetector, double k)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance, Mat mask, int blockSize, int gradientSize)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance, Mat mask, int blockSize, int gradientSize, boolean useHarrisDetector)`
    `static void` | `goodFeaturesToTrack(Mat image, MatOfPoint corners, int maxCorners, double qualityLevel, double minDistance, Mat mask, int blockSize, int gradientSize, boolean useHarrisDetector, double k)`
    `static void` | `grabCut(Mat img, Mat mask, Rect rect, Mat bgdModel, Mat fgdModel, int iterCount)`
    `static void` | `grabCut(Mat img, Mat mask, Rect rect, Mat bgdModel, Mat fgdModel, int iterCount, int mode)`
    `static void` | `HoughCircles(Mat image, Mat circles, int method, double dp, double minDist)`
    `static void` | `HoughCircles(Mat image, Mat circles, int method, double dp, double minDist, double param1)`
    `static void` | `HoughCircles(Mat image, Mat circles, int method, double dp, double minDist, double param1, double param2)`
    `static void` | `HoughCircles(Mat image, Mat circles, int method, double dp, double minDist, double param1, double param2, int minRadius)`
    `static void` | `HoughCircles(Mat image, Mat circles, int method, double dp, double minDist, double param1, double param2, int minRadius, int maxRadius)`
    `static void` | `HoughLines(Mat image, Mat lines, double rho, double theta, int threshold)`
    `static void` | `HoughLines(Mat image, Mat lines, double rho, double theta, int threshold, double srn)`
    `static void` | `HoughLines(Mat image, Mat lines, double rho, double theta, int threshold, double srn, double stn)`
    `static void` | `HoughLines(Mat image, Mat lines, double rho, double theta, int threshold, double srn, double stn, double min_theta)`
    `static void` | `HoughLines(Mat image, Mat lines, double rho, double theta, int threshold, double srn, double stn, double min_theta, double max_theta)`
    `static void` | `HoughLinesP(Mat image, Mat lines, double rho, double theta, int threshold)`
    `static void` | `HoughLinesP(Mat image, Mat lines, double rho, double theta, int threshold, double minLineLength)`
    `static void` | `HoughLinesP(Mat image, Mat lines, double rho, double theta, int threshold, double minLineLength, double maxLineGap)`
    `static void` | `HoughLinesPointSet(Mat _point, Mat _lines, int lines_max, int threshold, double min_rho, double max_rho, double rho_step, double min_theta, double max_theta, double theta_step)`
    `static void` | `HuMoments(Moments m, Mat hu)`
    `static void` | `initUndistortRectifyMap(Mat cameraMatrix, Mat distCoeffs, Mat R, Mat newCameraMatrix, Size size, int m1type, Mat map1, Mat map2)`
    `static float` | `initWideAngleProjMap(Mat cameraMatrix, Mat distCoeffs, Size imageSize, int destImageWidth, int m1type, Mat map1, Mat map2)`
    `static float` | `initWideAngleProjMap(Mat cameraMatrix, Mat distCoeffs, Size imageSize, int destImageWidth, int m1type, Mat map1, Mat map2, int projType)`
    `static float` | `initWideAngleProjMap(Mat cameraMatrix, Mat distCoeffs, Size imageSize, int destImageWidth, int m1type, Mat map1, Mat map2, int projType, double alpha)`
    `static void` | `integral(Mat src, Mat sum)`
    `static void` | `integral(Mat src, Mat sum, int sdepth)`
    `static void` | `integral2(Mat src, Mat sum, Mat sqsum)`
    `static void` | `integral2(Mat src, Mat sum, Mat sqsum, int sdepth)`
    `static void` | `integral2(Mat src, Mat sum, Mat sqsum, int sdepth, int sqdepth)`
    `static void` | `integral3(Mat src, Mat sum, Mat sqsum, Mat tilted)`
    `static void` | `integral3(Mat src, Mat sum, Mat sqsum, Mat tilted, int sdepth)`
    `static void` | `integral3(Mat src, Mat sum, Mat sqsum, Mat tilted, int sdepth, int sqdepth)`
    `static float` | `intersectConvexConvex(Mat _p1, Mat _p2, Mat _p12)`
    `static float` | `intersectConvexConvex(Mat _p1, Mat _p2, Mat _p12, boolean handleNested)`
    `static void` | `invertAffineTransform(Mat M, Mat iM)`
    `static boolean` | `isContourConvex(MatOfPoint contour)`
    `static void` | `Laplacian(Mat src, Mat dst, int ddepth)`
    `static void` | `Laplacian(Mat src, Mat dst, int ddepth, int ksize)`
    `static void` | `Laplacian(Mat src, Mat dst, int ddepth, int ksize, double scale)`
    `static void` | `Laplacian(Mat src, Mat dst, int ddepth, int ksize, double scale, double delta)`
    `static void` | `Laplacian(Mat src, Mat dst, int ddepth, int ksize, double scale, double delta, int borderType)`
    `static void` | `line(Mat img, Point pt1, Point pt2, Scalar color)`
    `static void` | `line(Mat img, Point pt1, Point pt2, Scalar color, int thickness)`
    `static void` | `line(Mat img, Point pt1, Point pt2, Scalar color, int thickness, int lineType)`
    `static void` | `line(Mat img, Point pt1, Point pt2, Scalar color, int thickness, int lineType, int shift)`
    `static void` | `linearPolar(Mat src, Mat dst, Point center, double maxRadius, int flags)` Deprecated.
    `static void` | `logPolar(Mat src, Mat dst, Point center, double M, int flags)` Deprecated.
    `static double` | `matchShapes(Mat contour1, Mat contour2, int method, double parameter)`
    `static void` | `matchTemplate(Mat image, Mat templ, Mat result, int method)`
    `static void` | `matchTemplate(Mat image, Mat templ, Mat result, int method, Mat mask)`
    `static void` | `medianBlur(Mat src, Mat dst, int ksize)`
    `static RotatedRect` | `minAreaRect(MatOfPoint2f points)`
    `static void` | `minEnclosingCircle(MatOfPoint2f points, Point center, float[] radius)`
    `static double` | `minEnclosingTriangle(Mat points, Mat triangle)`
    `static Moments` | `moments(Mat array)`
    `static Moments` | `moments(Mat array, boolean binaryImage)`
    `static void` | `morphologyEx(Mat src, Mat dst, int op, Mat kernel)`
    `static void` | `morphologyEx(Mat src, Mat dst, int op, Mat kernel, Point anchor)`
    `static void` | `morphologyEx(Mat src, Mat dst, int op, Mat kernel, Point anchor, int iterations)`
    `static void` | `morphologyEx(Mat src, Mat dst, int op, Mat kernel, Point anchor, int iterations, int borderType)`
    `static void` | `morphologyEx(Mat src, Mat dst, int op, Mat kernel, Point anchor, int iterations, int borderType, Scalar borderValue)`
    `static Point` | `phaseCorrelate(Mat src1, Mat src2)`
    `static Point` | `phaseCorrelate(Mat src1, Mat src2, Mat window)`
    `static Point` | `phaseCorrelate(Mat src1, Mat src2, Mat window, double[] response)`
    `static double` | `pointPolygonTest(MatOfPoint2f contour, Point pt, boolean measureDist)`
    `static void` | `polylines(Mat img, java.util.List<MatOfPoint> pts, boolean isClosed, Scalar color)`
    `static void` | `polylines(Mat img, java.util.List<MatOfPoint> pts, boolean isClosed, Scalar color, int thickness)`
    `static void` | `polylines(Mat img, java.util.List<MatOfPoint> pts, boolean isClosed, Scalar color, int thickness, int lineType)`
    `static void` | `polylines(Mat img, java.util.List<MatOfPoint> pts, boolean isClosed, Scalar color, int thickness, int lineType, int shift)`
    `static void` | `preCornerDetect(Mat src, Mat dst, int ksize)`
    `static void` | `preCornerDetect(Mat src, Mat dst, int ksize, int borderType)`
    `static void` | `putText(Mat img, java.lang.String text, Point org, int fontFace, double fontScale, Scalar color)`
    `static void` | `putText(Mat img, java.lang.String text, Point org, int fontFace, double fontScale, Scalar color, int thickness)`
    `static void` | `putText(Mat img, java.lang.String text, Point org, int fontFace, double fontScale, Scalar color, int thickness, int lineType)`
    `static void` | `putText(Mat img, java.lang.String text, Point org, int fontFace, double fontScale, Scalar color, int thickness, int lineType, boolean bottomLeftOrigin)`
    `static void` | `pyrDown(Mat src, Mat dst)`
    `static void` | `pyrDown(Mat src, Mat dst, Size dstsize)`
    `static void` | `pyrDown(Mat src, Mat dst, Size dstsize, int borderType)`
    `static void` | `pyrMeanShiftFiltering(Mat src, Mat dst, double sp, double sr)`
    `static void` | `pyrMeanShiftFiltering(Mat src, Mat dst, double sp, double sr, int maxLevel)`
    `static void` | `pyrMeanShiftFiltering(Mat src, Mat dst, double sp, double sr, int maxLevel, TermCriteria termcrit)`
    `static void` | `pyrUp(Mat src, Mat dst)`
    `static void` | `pyrUp(Mat src, Mat dst, Size dstsize)`
    `static void` | `pyrUp(Mat src, Mat dst, Size dstsize, int borderType)`
    `static void` | `rectangle(Mat img, Point pt1, Point pt2, Scalar color)`
    `static void` | `rectangle(Mat img, Point pt1, Point pt2, Scalar color, int thickness)`
    `static void` | `rectangle(Mat img, Point pt1, Point pt2, Scalar color, int thickness, int lineType)`
    `static void` | `rectangle(Mat img, Point pt1, Point pt2, Scalar color, int thickness, int lineType, int shift)`
    `static void` | `remap(Mat src, Mat dst, Mat map1, Mat map2, int interpolation)`
    `static void` | `remap(Mat src, Mat dst, Mat map1, Mat map2, int interpolation, int borderMode)`
    `static void` | `remap(Mat src, Mat dst, Mat map1, Mat map2, int interpolation, int borderMode, Scalar borderValue)`
    `static void` | `resize(Mat src, Mat dst, Size dsize)`
    `static void` | `resize(Mat src, Mat dst, Size dsize, double fx)`
    `static void` | `resize(Mat src, Mat dst, Size dsize, double fx, double fy)`
    `static void` | `resize(Mat src, Mat dst, Size dsize, double fx, double fy, int interpolation)`
    `static int` | `rotatedRectangleIntersection(RotatedRect rect1, RotatedRect rect2, Mat intersectingRegion)`
    `static void` | `Scharr(Mat src, Mat dst, int ddepth, int dx, int dy)`
    `static void` | `Scharr(Mat src, Mat dst, int ddepth, int dx, int dy, double scale)`
    `static void` | `Scharr(Mat src, Mat dst, int ddepth, int dx, int dy, double scale, double delta)`
    `static void` | `Scharr(Mat src, Mat dst, int ddepth, int dx, int dy, double scale, double delta, int borderType)`
    `static void` | `sepFilter2D(Mat src, Mat dst, int ddepth, Mat kernelX, Mat kernelY)`
    `static void` | `sepFilter2D(Mat src, Mat dst, int ddepth, Mat kernelX, Mat kernelY, Point anchor)`
    `static void` | `sepFilter2D(Mat src, Mat dst, int ddepth, Mat kernelX, Mat kernelY, Point anchor, double delta)`
    `static void` | `sepFilter2D(Mat src, Mat dst, int ddepth, Mat kernelX, Mat kernelY, Point anchor, double delta, int borderType)`
    `static void` | `Sobel(Mat src, Mat dst, int ddepth, int dx, int dy)`
    `static void` | `Sobel(Mat src, Mat dst, int ddepth, int dx, int dy, int ksize)`
    `static void` | `Sobel(Mat src, Mat dst, int ddepth, int dx, int dy, int ksize, double scale)`
    `static void` | `Sobel(Mat src, Mat dst, int ddepth, int dx, int dy, int ksize, double scale, double delta)`
    `static void` | `Sobel(Mat src, Mat dst, int ddepth, int dx, int dy, int ksize, double scale, double delta, int borderType)`
    `static void` | `spatialGradient(Mat src, Mat dx, Mat dy)`
    `static void` | `spatialGradient(Mat src, Mat dx, Mat dy, int ksize)`
    `static void` | `spatialGradient(Mat src, Mat dx, Mat dy, int ksize, int borderType)`
    `static void` | `sqrBoxFilter(Mat _src, Mat _dst, int ddepth, Size ksize)`
    `static void` | `sqrBoxFilter(Mat _src, Mat _dst, int ddepth, Size ksize, Point anchor)`
    `static void` | `sqrBoxFilter(Mat _src, Mat _dst, int ddepth, Size ksize, Point anchor, boolean normalize)`
    `static void` | `sqrBoxFilter(Mat _src, Mat _dst, int ddepth, Size ksize, Point anchor, boolean normalize, int borderType)`
    `static double` | `threshold(Mat src, Mat dst, double thresh, double maxval, int type)`
    `static void` | `undistort(Mat src, Mat dst, Mat cameraMatrix, Mat distCoeffs)`
    `static void` | `undistort(Mat src, Mat dst, Mat cameraMatrix, Mat distCoeffs, Mat newCameraMatrix)`
    `static void` | `undistortPoints(Mat src, Mat dst, Mat cameraMatrix, Mat distCoeffs)`
    `static void` | `undistortPoints(Mat src, Mat dst, Mat cameraMatrix, Mat distCoeffs, Mat R)`
    `static void` | `undistortPoints(Mat src, Mat dst, Mat cameraMatrix, Mat distCoeffs, Mat R, Mat P)`
    `static void` | `undistortPointsIter(Mat src, Mat dst, Mat cameraMatrix, Mat distCoeffs, Mat R, Mat P, TermCriteria criteria)`
    `static void` | `warpAffine(Mat src, Mat dst, Mat M, Size dsize)`
    `static void` | `warpAffine(Mat src, Mat dst, Mat M, Size dsize, int flags)`
    `static void` | `warpAffine(Mat src, Mat dst, Mat M, Size dsize, int flags, int borderMode)`
    `static void` | `warpAffine(Mat src, Mat dst, Mat M, Size dsize, int flags, int borderMode, Scalar borderValue)`
    `static void` | `warpPerspective(Mat src, Mat dst, Mat M, Size dsize)`
    `static void` | `warpPerspective(Mat src, Mat dst, Mat M, Size dsize, int flags)`
    `static void` | `warpPerspective(Mat src, Mat dst, Mat M, Size dsize, int flags, int borderMode)`
    `static void` | `warpPerspective(Mat src, Mat dst, Mat M, Size dsize, int flags, int borderMode, Scalar borderValue)`
    `static void` | `warpPolar(Mat src, Mat dst, Size dsize, Point center, double maxRadius, int flags)`
    `static void` | `watershed(Mat image, Mat markers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_AA

          public static final int LINE_AA

      See Also:
        Constant Field Values

    - #### LINE_8

          public static final int LINE_8

      See Also:
        Constant Field Values

    - #### LINE_4

          public static final int LINE_4

      See Also:
        Constant Field Values

    - #### CV_BLUR_NO_SCALE

          public static final int CV_BLUR_NO_SCALE

      See Also:
        Constant Field Values

    - #### CV_BLUR

          public static final int CV_BLUR

      See Also:
        Constant Field Values

    - #### CV_GAUSSIAN

          public static final int CV_GAUSSIAN

      See Also:
        Constant Field Values

    - #### CV_MEDIAN

          public static final int CV_MEDIAN

      See Also:
        Constant Field Values

    - #### CV_BILATERAL

          public static final int CV_BILATERAL

      See Also:
        Constant Field Values

    - #### CV_GAUSSIAN_5x5

          public static final int CV_GAUSSIAN_5x5

      See Also:
        Constant Field Values

    - #### CV_SCHARR

          public static final int CV_SCHARR

      See Also:
        Constant Field Values

    - #### CV_MAX_SOBEL_KSIZE

          public static final int CV_MAX_SOBEL_KSIZE

      See Also:
        Constant Field Values

    - #### CV_RGBA2mRGBA

          public static final int CV_RGBA2mRGBA

      See Also:
        Constant Field Values

    - #### CV_mRGBA2RGBA

          public static final int CV_mRGBA2RGBA

      See Also:
        Constant Field Values

    - #### CV_WARP_FILL_OUTLIERS

          public static final int CV_WARP_FILL_OUTLIERS

      See Also:
        Constant Field Values

    - #### CV_WARP_INVERSE_MAP

          public static final int CV_WARP_INVERSE_MAP

      See Also:
        Constant Field Values

    - #### CV_SHAPE_RECT

          public static final int CV_SHAPE_RECT

      See Also:
        Constant Field Values

    - #### CV_SHAPE_CROSS

          public static final int CV_SHAPE_CROSS

      See Also:
        Constant Field Values

    - #### CV_SHAPE_ELLIPSE

          public static final int CV_SHAPE_ELLIPSE

      See Also:
        Constant Field Values

    - #### CV_SHAPE_CUSTOM

          public static final int CV_SHAPE_CUSTOM

      See Also:
        Constant Field Values

    - #### CV_CHAIN_CODE

          public static final int CV_CHAIN_CODE

      See Also:
        Constant Field Values

    - #### CV_LINK_RUNS

          public static final int CV_LINK_RUNS

      See Also:
        Constant Field Values

    - #### CV_POLY_APPROX_DP

          public static final int CV_POLY_APPROX_DP

      See Also:
        Constant Field Values

    - #### CV_CONTOURS_MATCH_I1

          public static final int CV_CONTOURS_MATCH_I1

      See Also:
        Constant Field Values

    - #### CV_CONTOURS_MATCH_I2

          public static final int CV_CONTOURS_MATCH_I2

      See Also:
        Constant Field Values

    - #### CV_CONTOURS_MATCH_I3

          public static final int CV_CONTOURS_MATCH_I3

      See Also:
        Constant Field Values

    - #### CV_CLOCKWISE

          public static final int CV_CLOCKWISE

      See Also:
        Constant Field Values

    - #### CV_COUNTER_CLOCKWISE

          public static final int CV_COUNTER_CLOCKWISE

      See Also:
        Constant Field Values

    - #### CV_COMP_CORREL

          public static final int CV_COMP_CORREL

      See Also:
        Constant Field Values

    - #### CV_COMP_CHISQR

          public static final int CV_COMP_CHISQR

      See Also:
        Constant Field Values

    - #### CV_COMP_INTERSECT

          public static final int CV_COMP_INTERSECT

      See Also:
        Constant Field Values

    - #### CV_COMP_BHATTACHARYYA

          public static final int CV_COMP_BHATTACHARYYA

      See Also:
        Constant Field Values

    - #### CV_COMP_HELLINGER

          public static final int CV_COMP_HELLINGER

      See Also:
        Constant Field Values

    - #### CV_COMP_CHISQR_ALT

          public static final int CV_COMP_CHISQR_ALT

      See Also:
        Constant Field Values

    - #### CV_COMP_KL_DIV

          public static final int CV_COMP_KL_DIV

      See Also:
        Constant Field Values

    - #### CV_DIST_MASK_3

          public static final int CV_DIST_MASK_3

      See Also:
        Constant Field Values

    - #### CV_DIST_MASK_5

          public static final int CV_DIST_MASK_5

      See Also:
        Constant Field Values

    - #### CV_DIST_MASK_PRECISE

          public static final int CV_DIST_MASK_PRECISE

      See Also:
        Constant Field Values

    - #### CV_DIST_LABEL_CCOMP

          public static final int CV_DIST_LABEL_CCOMP

      See Also:
        Constant Field Values

    - #### CV_DIST_LABEL_PIXEL

          public static final int CV_DIST_LABEL_PIXEL

      See Also:
        Constant Field Values

    - #### CV_DIST_USER

          public static final int CV_DIST_USER

      See Also:
        Constant Field Values

    - #### CV_DIST_L1

          public static final int CV_DIST_L1

      See Also:
        Constant Field Values

    - #### CV_DIST_L2

          public static final int CV_DIST_L2

      See Also:
        Constant Field Values

    - #### CV_DIST_C

          public static final int CV_DIST_C

      See Also:
        Constant Field Values

    - #### CV_DIST_L12

          public static final int CV_DIST_L12

      See Also:
        Constant Field Values

    - #### CV_DIST_FAIR

          public static final int CV_DIST_FAIR

      See Also:
        Constant Field Values

    - #### CV_DIST_WELSCH

          public static final int CV_DIST_WELSCH

      See Also:
        Constant Field Values

    - #### CV_DIST_HUBER

          public static final int CV_DIST_HUBER

      See Also:
        Constant Field Values

    - #### CV_CANNY_L2_GRADIENT

          public static final int CV_CANNY_L2_GRADIENT

      See Also:
        Constant Field Values

    - #### CV_HOUGH_STANDARD

          public static final int CV_HOUGH_STANDARD

      See Also:
        Constant Field Values

    - #### CV_HOUGH_PROBABILISTIC

          public static final int CV_HOUGH_PROBABILISTIC

      See Also:
        Constant Field Values

    - #### CV_HOUGH_MULTI_SCALE

          public static final int CV_HOUGH_MULTI_SCALE

      See Also:
        Constant Field Values

    - #### CV_HOUGH_GRADIENT

          public static final int CV_HOUGH_GRADIENT

      See Also:
        Constant Field Values

    - #### MORPH_ERODE

          public static final int MORPH_ERODE

      See Also:
        Constant Field Values

    - #### MORPH_DILATE

          public static final int MORPH_DILATE

      See Also:
        Constant Field Values

    - #### MORPH_OPEN

          public static final int MORPH_OPEN

      See Also:
        Constant Field Values

    - #### MORPH_CLOSE

          public static final int MORPH_CLOSE

      See Also:
        Constant Field Values

    - #### MORPH_GRADIENT

          public static final int MORPH_GRADIENT

      See Also:
        Constant Field Values

    - #### MORPH_TOPHAT

          public static final int MORPH_TOPHAT

      See Also:
        Constant Field Values

    - #### MORPH_BLACKHAT

          public static final int MORPH_BLACKHAT

      See Also:
        Constant Field Values

    - #### MORPH_HITMISS

          public static final int MORPH_HITMISS

      See Also:
        Constant Field Values

    - #### MORPH_RECT

          public static final int MORPH_RECT

      See Also:
        Constant Field Values

    - #### MORPH_CROSS

          public static final int MORPH_CROSS

      See Also:
        Constant Field Values

    - #### MORPH_ELLIPSE

          public static final int MORPH_ELLIPSE

      See Also:
        Constant Field Values

    - #### INTER_NEAREST

          public static final int INTER_NEAREST

      See Also:
        Constant Field Values

    - #### INTER_LINEAR

          public static final int INTER_LINEAR

      See Also:
        Constant Field Values

    - #### INTER_CUBIC

          public static final int INTER_CUBIC

      See Also:
        Constant Field Values

    - #### INTER_AREA

          public static final int INTER_AREA

      See Also:
        Constant Field Values

    - #### INTER_LANCZOS4

          public static final int INTER_LANCZOS4

      See Also:
        Constant Field Values

    - #### INTER_LINEAR_EXACT

          public static final int INTER_LINEAR_EXACT

      See Also:
        Constant Field Values

    - #### INTER_MAX

          public static final int INTER_MAX

      See Also:
        Constant Field Values

    - #### WARP_FILL_OUTLIERS

          public static final int WARP_FILL_OUTLIERS

      See Also:
        Constant Field Values

    - #### WARP_INVERSE_MAP

          public static final int WARP_INVERSE_MAP

      See Also:
        Constant Field Values

    - #### WARP_POLAR_LINEAR

          public static final int WARP_POLAR_LINEAR

      See Also:
        Constant Field Values

    - #### WARP_POLAR_LOG

          public static final int WARP_POLAR_LOG

      See Also:
        Constant Field Values

    - #### INTER_BITS

          public static final int INTER_BITS

      See Also:
        Constant Field Values

    - #### INTER_BITS2

          public static final int INTER_BITS2

      See Also:
        Constant Field Values

    - #### INTER_TAB_SIZE

          public static final int INTER_TAB_SIZE

      See Also:
        Constant Field Values

    - #### INTER_TAB_SIZE2

          public static final int INTER_TAB_SIZE2

      See Also:
        Constant Field Values

    - #### DIST_USER

          public static final int DIST_USER

      See Also:
        Constant Field Values

    - #### DIST_L1

          public static final int DIST_L1

      See Also:
        Constant Field Values

    - #### DIST_L2

          public static final int DIST_L2

      See Also:
        Constant Field Values

    - #### DIST_C

          public static final int DIST_C

      See Also:
        Constant Field Values

    - #### DIST_L12

          public static final int DIST_L12

      See Also:
        Constant Field Values

    - #### DIST_FAIR

          public static final int DIST_FAIR

      See Also:
        Constant Field Values

    - #### DIST_WELSCH

          public static final int DIST_WELSCH

      See Also:
        Constant Field Values

    - #### DIST_HUBER

          public static final int DIST_HUBER

      See Also:
        Constant Field Values

    - #### DIST_MASK_3

          public static final int DIST_MASK_3

      See Also:
        Constant Field Values

    - #### DIST_MASK_5

          public static final int DIST_MASK_5

      See Also:
        Constant Field Values

    - #### DIST_MASK_PRECISE

          public static final int DIST_MASK_PRECISE

      See Also:
        Constant Field Values

    - #### THRESH_BINARY

          public static final int THRESH_BINARY

      See Also:
        Constant Field Values

    - #### THRESH_BINARY_INV

          public static final int THRESH_BINARY_INV

      See Also:
        Constant Field Values

    - #### THRESH_TRUNC

          public static final int THRESH_TRUNC

      See Also:
        Constant Field Values

    - #### THRESH_TOZERO

          public static final int THRESH_TOZERO

      See Also:
        Constant Field Values

    - #### THRESH_TOZERO_INV

          public static final int THRESH_TOZERO_INV

      See Also:
        Constant Field Values

    - #### THRESH_MASK

          public static final int THRESH_MASK

      See Also:
        Constant Field Values

    - #### THRESH_OTSU

          public static final int THRESH_OTSU

      See Also:
        Constant Field Values

    - #### THRESH_TRIANGLE

          public static final int THRESH_TRIANGLE

      See Also:
        Constant Field Values

    - #### ADAPTIVE_THRESH_MEAN_C

          public static final int ADAPTIVE_THRESH_MEAN_C

      See Also:
        Constant Field Values

    - #### ADAPTIVE_THRESH_GAUSSIAN_C

          public static final int ADAPTIVE_THRESH_GAUSSIAN_C

      See Also:
        Constant Field Values

    - #### PROJ_SPHERICAL_ORTHO

          public static final int PROJ_SPHERICAL_ORTHO

      See Also:
        Constant Field Values

    - #### PROJ_SPHERICAL_EQRECT

          public static final int PROJ_SPHERICAL_EQRECT

      See Also:
        Constant Field Values

    - #### GC_BGD

          public static final int GC_BGD

      See Also:
        Constant Field Values

    - #### GC_FGD

          public static final int GC_FGD

      See Also:
        Constant Field Values

    - #### GC_PR_BGD

          public static final int GC_PR_BGD

      See Also:
        Constant Field Values

    - #### GC_PR_FGD

          public static final int GC_PR_FGD

      See Also:
        Constant Field Values

    - #### GC_INIT_WITH_RECT

          public static final int GC_INIT_WITH_RECT

      See Also:
        Constant Field Values

    - #### GC_INIT_WITH_MASK

          public static final int GC_INIT_WITH_MASK

      See Also:
        Constant Field Values

    - #### GC_EVAL

          public static final int GC_EVAL

      See Also:
        Constant Field Values

    - #### GC_EVAL_FREEZE_MODEL

          public static final int GC_EVAL_FREEZE_MODEL

      See Also:
        Constant Field Values

    - #### DIST_LABEL_CCOMP

          public static final int DIST_LABEL_CCOMP

      See Also:
        Constant Field Values

    - #### DIST_LABEL_PIXEL

          public static final int DIST_LABEL_PIXEL

      See Also:
        Constant Field Values

    - #### FLOODFILL_FIXED_RANGE

          public static final int FLOODFILL_FIXED_RANGE

      See Also:
        Constant Field Values

    - #### FLOODFILL_MASK_ONLY

          public static final int FLOODFILL_MASK_ONLY

      See Also:
        Constant Field Values

    - #### CC_STAT_LEFT

          public static final int CC_STAT_LEFT

      See Also:
        Constant Field Values

    - #### CC_STAT_TOP

          public static final int CC_STAT_TOP

      See Also:
        Constant Field Values

    - #### CC_STAT_WIDTH

          public static final int CC_STAT_WIDTH

      See Also:
        Constant Field Values

    - #### CC_STAT_HEIGHT

          public static final int CC_STAT_HEIGHT

      See Also:
        Constant Field Values

    - #### CC_STAT_AREA

          public static final int CC_STAT_AREA

      See Also:
        Constant Field Values

    - #### CC_STAT_MAX

          public static final int CC_STAT_MAX

      See Also:
        Constant Field Values

    - #### CCL_WU

          public static final int CCL_WU

      See Also:
        Constant Field Values

    - #### CCL_DEFAULT

          public static final int CCL_DEFAULT

      See Also:
        Constant Field Values

    - #### CCL_GRANA

          public static final int CCL_GRANA

      See Also:
        Constant Field Values

    - #### RETR_EXTERNAL

          public static final int RETR_EXTERNAL

      See Also:
        Constant Field Values

    - #### RETR_LIST

          public static final int RETR_LIST

      See Also:
        Constant Field Values

    - #### RETR_CCOMP

          public static final int RETR_CCOMP

      See Also:
        Constant Field Values

    - #### RETR_TREE

          public static final int RETR_TREE

      See Also:
        Constant Field Values

    - #### RETR_FLOODFILL

          public static final int RETR_FLOODFILL

      See Also:
        Constant Field Values

    - #### CHAIN_APPROX_NONE

          public static final int CHAIN_APPROX_NONE

      See Also:
        Constant Field Values

    - #### CHAIN_APPROX_SIMPLE

          public static final int CHAIN_APPROX_SIMPLE

      See Also:
        Constant Field Values

    - #### CHAIN_APPROX_TC89_L1

          public static final int CHAIN_APPROX_TC89_L1

      See Also:
        Constant Field Values

    - #### CHAIN_APPROX_TC89_KCOS

          public static final int CHAIN_APPROX_TC89_KCOS

      See Also:
        Constant Field Values

    - #### CONTOURS_MATCH_I1

          public static final int CONTOURS_MATCH_I1

      See Also:
        Constant Field Values

    - #### CONTOURS_MATCH_I2

          public static final int CONTOURS_MATCH_I2

      See Also:
        Constant Field Values

    - #### CONTOURS_MATCH_I3

          public static final int CONTOURS_MATCH_I3

      See Also:
        Constant Field Values

    - #### HOUGH_STANDARD

          public static final int HOUGH_STANDARD

      See Also:
        Constant Field Values

    - #### HOUGH_PROBABILISTIC

          public static final int HOUGH_PROBABILISTIC

      See Also:
        Constant Field Values

    - #### HOUGH_MULTI_SCALE

          public static final int HOUGH_MULTI_SCALE

      See Also:
        Constant Field Values

    - #### HOUGH_GRADIENT

          public static final int HOUGH_GRADIENT

      See Also:
        Constant Field Values

    - #### LSD_REFINE_NONE

          public static final int LSD_REFINE_NONE

      See Also:
        Constant Field Values

    - #### LSD_REFINE_STD

          public static final int LSD_REFINE_STD

      See Also:
        Constant Field Values

    - #### LSD_REFINE_ADV

          public static final int LSD_REFINE_ADV

      See Also:
        Constant Field Values

    - #### HISTCMP_CORREL

          public static final int HISTCMP_CORREL

      See Also:
        Constant Field Values

    - #### HISTCMP_CHISQR

          public static final int HISTCMP_CHISQR

      See Also:
        Constant Field Values

    - #### HISTCMP_INTERSECT

          public static final int HISTCMP_INTERSECT

      See Also:
        Constant Field Values

    - #### HISTCMP_BHATTACHARYYA

          public static final int HISTCMP_BHATTACHARYYA

      See Also:
        Constant Field Values

    - #### HISTCMP_HELLINGER

          public static final int HISTCMP_HELLINGER

      See Also:
        Constant Field Values

    - #### HISTCMP_CHISQR_ALT

          public static final int HISTCMP_CHISQR_ALT

      See Also:
        Constant Field Values

    - #### HISTCMP_KL_DIV

          public static final int HISTCMP_KL_DIV

      See Also:
        Constant Field Values

    - #### COLOR_BGR2BGRA

          public static final int COLOR_BGR2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_RGB2RGBA

          public static final int COLOR_RGB2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2BGR

          public static final int COLOR_BGRA2BGR

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2RGB

          public static final int COLOR_RGBA2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BGR2RGBA

          public static final int COLOR_BGR2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_RGB2BGRA

          public static final int COLOR_RGB2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2BGR

          public static final int COLOR_RGBA2BGR

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2RGB

          public static final int COLOR_BGRA2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BGR2RGB

          public static final int COLOR_BGR2RGB

      See Also:
        Constant Field Values

    - #### COLOR_RGB2BGR

          public static final int COLOR_RGB2BGR

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2RGBA

          public static final int COLOR_BGRA2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2BGRA

          public static final int COLOR_RGBA2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_BGR2GRAY

          public static final int COLOR_BGR2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_RGB2GRAY

          public static final int COLOR_RGB2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_GRAY2BGR

          public static final int COLOR_GRAY2BGR

      See Also:
        Constant Field Values

    - #### COLOR_GRAY2RGB

          public static final int COLOR_GRAY2RGB

      See Also:
        Constant Field Values

    - #### COLOR_GRAY2BGRA

          public static final int COLOR_GRAY2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_GRAY2RGBA

          public static final int COLOR_GRAY2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2GRAY

          public static final int COLOR_BGRA2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2GRAY

          public static final int COLOR_RGBA2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_BGR2BGR565

          public static final int COLOR_BGR2BGR565

      See Also:
        Constant Field Values

    - #### COLOR_RGB2BGR565

          public static final int COLOR_RGB2BGR565

      See Also:
        Constant Field Values

    - #### COLOR_BGR5652BGR

          public static final int COLOR_BGR5652BGR

      See Also:
        Constant Field Values

    - #### COLOR_BGR5652RGB

          public static final int COLOR_BGR5652RGB

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2BGR565

          public static final int COLOR_BGRA2BGR565

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2BGR565

          public static final int COLOR_RGBA2BGR565

      See Also:
        Constant Field Values

    - #### COLOR_BGR5652BGRA

          public static final int COLOR_BGR5652BGRA

      See Also:
        Constant Field Values

    - #### COLOR_BGR5652RGBA

          public static final int COLOR_BGR5652RGBA

      See Also:
        Constant Field Values

    - #### COLOR_GRAY2BGR565

          public static final int COLOR_GRAY2BGR565

      See Also:
        Constant Field Values

    - #### COLOR_BGR5652GRAY

          public static final int COLOR_BGR5652GRAY

      See Also:
        Constant Field Values

    - #### COLOR_BGR2BGR555

          public static final int COLOR_BGR2BGR555

      See Also:
        Constant Field Values

    - #### COLOR_RGB2BGR555

          public static final int COLOR_RGB2BGR555

      See Also:
        Constant Field Values

    - #### COLOR_BGR5552BGR

          public static final int COLOR_BGR5552BGR

      See Also:
        Constant Field Values

    - #### COLOR_BGR5552RGB

          public static final int COLOR_BGR5552RGB

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2BGR555

          public static final int COLOR_BGRA2BGR555

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2BGR555

          public static final int COLOR_RGBA2BGR555

      See Also:
        Constant Field Values

    - #### COLOR_BGR5552BGRA

          public static final int COLOR_BGR5552BGRA

      See Also:
        Constant Field Values

    - #### COLOR_BGR5552RGBA

          public static final int COLOR_BGR5552RGBA

      See Also:
        Constant Field Values

    - #### COLOR_GRAY2BGR555

          public static final int COLOR_GRAY2BGR555

      See Also:
        Constant Field Values

    - #### COLOR_BGR5552GRAY

          public static final int COLOR_BGR5552GRAY

      See Also:
        Constant Field Values

    - #### COLOR_BGR2XYZ

          public static final int COLOR_BGR2XYZ

      See Also:
        Constant Field Values

    - #### COLOR_RGB2XYZ

          public static final int COLOR_RGB2XYZ

      See Also:
        Constant Field Values

    - #### COLOR_XYZ2BGR

          public static final int COLOR_XYZ2BGR

      See Also:
        Constant Field Values

    - #### COLOR_XYZ2RGB

          public static final int COLOR_XYZ2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BGR2YCrCb

          public static final int COLOR_BGR2YCrCb

      See Also:
        Constant Field Values

    - #### COLOR_RGB2YCrCb

          public static final int COLOR_RGB2YCrCb

      See Also:
        Constant Field Values

    - #### COLOR_YCrCb2BGR

          public static final int COLOR_YCrCb2BGR

      See Also:
        Constant Field Values

    - #### COLOR_YCrCb2RGB

          public static final int COLOR_YCrCb2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BGR2HSV

          public static final int COLOR_BGR2HSV

      See Also:
        Constant Field Values

    - #### COLOR_RGB2HSV

          public static final int COLOR_RGB2HSV

      See Also:
        Constant Field Values

    - #### COLOR_BGR2Lab

          public static final int COLOR_BGR2Lab

      See Also:
        Constant Field Values

    - #### COLOR_RGB2Lab

          public static final int COLOR_RGB2Lab

      See Also:
        Constant Field Values

    - #### COLOR_BGR2Luv

          public static final int COLOR_BGR2Luv

      See Also:
        Constant Field Values

    - #### COLOR_RGB2Luv

          public static final int COLOR_RGB2Luv

      See Also:
        Constant Field Values

    - #### COLOR_BGR2HLS

          public static final int COLOR_BGR2HLS

      See Also:
        Constant Field Values

    - #### COLOR_RGB2HLS

          public static final int COLOR_RGB2HLS

      See Also:
        Constant Field Values

    - #### COLOR_HSV2BGR

          public static final int COLOR_HSV2BGR

      See Also:
        Constant Field Values

    - #### COLOR_HSV2RGB

          public static final int COLOR_HSV2RGB

      See Also:
        Constant Field Values

    - #### COLOR_Lab2BGR

          public static final int COLOR_Lab2BGR

      See Also:
        Constant Field Values

    - #### COLOR_Lab2RGB

          public static final int COLOR_Lab2RGB

      See Also:
        Constant Field Values

    - #### COLOR_Luv2BGR

          public static final int COLOR_Luv2BGR

      See Also:
        Constant Field Values

    - #### COLOR_Luv2RGB

          public static final int COLOR_Luv2RGB

      See Also:
        Constant Field Values

    - #### COLOR_HLS2BGR

          public static final int COLOR_HLS2BGR

      See Also:
        Constant Field Values

    - #### COLOR_HLS2RGB

          public static final int COLOR_HLS2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BGR2HSV_FULL

          public static final int COLOR_BGR2HSV_FULL

      See Also:
        Constant Field Values

    - #### COLOR_RGB2HSV_FULL

          public static final int COLOR_RGB2HSV_FULL

      See Also:
        Constant Field Values

    - #### COLOR_BGR2HLS_FULL

          public static final int COLOR_BGR2HLS_FULL

      See Also:
        Constant Field Values

    - #### COLOR_RGB2HLS_FULL

          public static final int COLOR_RGB2HLS_FULL

      See Also:
        Constant Field Values

    - #### COLOR_HSV2BGR_FULL

          public static final int COLOR_HSV2BGR_FULL

      See Also:
        Constant Field Values

    - #### COLOR_HSV2RGB_FULL

          public static final int COLOR_HSV2RGB_FULL

      See Also:
        Constant Field Values

    - #### COLOR_HLS2BGR_FULL

          public static final int COLOR_HLS2BGR_FULL

      See Also:
        Constant Field Values

    - #### COLOR_HLS2RGB_FULL

          public static final int COLOR_HLS2RGB_FULL

      See Also:
        Constant Field Values

    - #### COLOR_LBGR2Lab

          public static final int COLOR_LBGR2Lab

      See Also:
        Constant Field Values

    - #### COLOR_LRGB2Lab

          public static final int COLOR_LRGB2Lab

      See Also:
        Constant Field Values

    - #### COLOR_LBGR2Luv

          public static final int COLOR_LBGR2Luv

      See Also:
        Constant Field Values

    - #### COLOR_LRGB2Luv

          public static final int COLOR_LRGB2Luv

      See Also:
        Constant Field Values

    - #### COLOR_Lab2LBGR

          public static final int COLOR_Lab2LBGR

      See Also:
        Constant Field Values

    - #### COLOR_Lab2LRGB

          public static final int COLOR_Lab2LRGB

      See Also:
        Constant Field Values

    - #### COLOR_Luv2LBGR

          public static final int COLOR_Luv2LBGR

      See Also:
        Constant Field Values

    - #### COLOR_Luv2LRGB

          public static final int COLOR_Luv2LRGB

      See Also:
        Constant Field Values

    - #### COLOR_BGR2YUV

          public static final int COLOR_BGR2YUV

      See Also:
        Constant Field Values

    - #### COLOR_RGB2YUV

          public static final int COLOR_RGB2YUV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR

          public static final int COLOR_YUV2BGR

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB

          public static final int COLOR_YUV2RGB

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_NV12

          public static final int COLOR_YUV2RGB_NV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_NV12

          public static final int COLOR_YUV2BGR_NV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_NV21

          public static final int COLOR_YUV2RGB_NV21

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_NV21

          public static final int COLOR_YUV2BGR_NV21

      See Also:
        Constant Field Values

    - #### COLOR_YUV420sp2RGB

          public static final int COLOR_YUV420sp2RGB

      See Also:
        Constant Field Values

    - #### COLOR_YUV420sp2BGR

          public static final int COLOR_YUV420sp2BGR

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_NV12

          public static final int COLOR_YUV2RGBA_NV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_NV12

          public static final int COLOR_YUV2BGRA_NV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_NV21

          public static final int COLOR_YUV2RGBA_NV21

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_NV21

          public static final int COLOR_YUV2BGRA_NV21

      See Also:
        Constant Field Values

    - #### COLOR_YUV420sp2RGBA

          public static final int COLOR_YUV420sp2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_YUV420sp2BGRA

          public static final int COLOR_YUV420sp2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_YV12

          public static final int COLOR_YUV2RGB_YV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_YV12

          public static final int COLOR_YUV2BGR_YV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_IYUV

          public static final int COLOR_YUV2RGB_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_IYUV

          public static final int COLOR_YUV2BGR_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_I420

          public static final int COLOR_YUV2RGB_I420

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_I420

          public static final int COLOR_YUV2BGR_I420

      See Also:
        Constant Field Values

    - #### COLOR_YUV420p2RGB

          public static final int COLOR_YUV420p2RGB

      See Also:
        Constant Field Values

    - #### COLOR_YUV420p2BGR

          public static final int COLOR_YUV420p2BGR

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_YV12

          public static final int COLOR_YUV2RGBA_YV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_YV12

          public static final int COLOR_YUV2BGRA_YV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_IYUV

          public static final int COLOR_YUV2RGBA_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_IYUV

          public static final int COLOR_YUV2BGRA_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_I420

          public static final int COLOR_YUV2RGBA_I420

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_I420

          public static final int COLOR_YUV2BGRA_I420

      See Also:
        Constant Field Values

    - #### COLOR_YUV420p2RGBA

          public static final int COLOR_YUV420p2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_YUV420p2BGRA

          public static final int COLOR_YUV420p2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_420

          public static final int COLOR_YUV2GRAY_420

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_NV21

          public static final int COLOR_YUV2GRAY_NV21

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_NV12

          public static final int COLOR_YUV2GRAY_NV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_YV12

          public static final int COLOR_YUV2GRAY_YV12

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_IYUV

          public static final int COLOR_YUV2GRAY_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_I420

          public static final int COLOR_YUV2GRAY_I420

      See Also:
        Constant Field Values

    - #### COLOR_YUV420sp2GRAY

          public static final int COLOR_YUV420sp2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_YUV420p2GRAY

          public static final int COLOR_YUV420p2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_UYVY

          public static final int COLOR_YUV2RGB_UYVY

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_UYVY

          public static final int COLOR_YUV2BGR_UYVY

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_Y422

          public static final int COLOR_YUV2RGB_Y422

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_Y422

          public static final int COLOR_YUV2BGR_Y422

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_UYNV

          public static final int COLOR_YUV2RGB_UYNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_UYNV

          public static final int COLOR_YUV2BGR_UYNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_UYVY

          public static final int COLOR_YUV2RGBA_UYVY

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_UYVY

          public static final int COLOR_YUV2BGRA_UYVY

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_Y422

          public static final int COLOR_YUV2RGBA_Y422

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_Y422

          public static final int COLOR_YUV2BGRA_Y422

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_UYNV

          public static final int COLOR_YUV2RGBA_UYNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_UYNV

          public static final int COLOR_YUV2BGRA_UYNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_YUY2

          public static final int COLOR_YUV2RGB_YUY2

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_YUY2

          public static final int COLOR_YUV2BGR_YUY2

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_YVYU

          public static final int COLOR_YUV2RGB_YVYU

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_YVYU

          public static final int COLOR_YUV2BGR_YVYU

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_YUYV

          public static final int COLOR_YUV2RGB_YUYV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_YUYV

          public static final int COLOR_YUV2BGR_YUYV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGB_YUNV

          public static final int COLOR_YUV2RGB_YUNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGR_YUNV

          public static final int COLOR_YUV2BGR_YUNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_YUY2

          public static final int COLOR_YUV2RGBA_YUY2

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_YUY2

          public static final int COLOR_YUV2BGRA_YUY2

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_YVYU

          public static final int COLOR_YUV2RGBA_YVYU

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_YVYU

          public static final int COLOR_YUV2BGRA_YVYU

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_YUYV

          public static final int COLOR_YUV2RGBA_YUYV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_YUYV

          public static final int COLOR_YUV2BGRA_YUYV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2RGBA_YUNV

          public static final int COLOR_YUV2RGBA_YUNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2BGRA_YUNV

          public static final int COLOR_YUV2BGRA_YUNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_UYVY

          public static final int COLOR_YUV2GRAY_UYVY

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_YUY2

          public static final int COLOR_YUV2GRAY_YUY2

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_Y422

          public static final int COLOR_YUV2GRAY_Y422

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_UYNV

          public static final int COLOR_YUV2GRAY_UYNV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_YVYU

          public static final int COLOR_YUV2GRAY_YVYU

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_YUYV

          public static final int COLOR_YUV2GRAY_YUYV

      See Also:
        Constant Field Values

    - #### COLOR_YUV2GRAY_YUNV

          public static final int COLOR_YUV2GRAY_YUNV

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2mRGBA

          public static final int COLOR_RGBA2mRGBA

      See Also:
        Constant Field Values

    - #### COLOR_mRGBA2RGBA

          public static final int COLOR_mRGBA2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_RGB2YUV_I420

          public static final int COLOR_RGB2YUV_I420

      See Also:
        Constant Field Values

    - #### COLOR_BGR2YUV_I420

          public static final int COLOR_BGR2YUV_I420

      See Also:
        Constant Field Values

    - #### COLOR_RGB2YUV_IYUV

          public static final int COLOR_RGB2YUV_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_BGR2YUV_IYUV

          public static final int COLOR_BGR2YUV_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2YUV_I420

          public static final int COLOR_RGBA2YUV_I420

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2YUV_I420

          public static final int COLOR_BGRA2YUV_I420

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2YUV_IYUV

          public static final int COLOR_RGBA2YUV_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2YUV_IYUV

          public static final int COLOR_BGRA2YUV_IYUV

      See Also:
        Constant Field Values

    - #### COLOR_RGB2YUV_YV12

          public static final int COLOR_RGB2YUV_YV12

      See Also:
        Constant Field Values

    - #### COLOR_BGR2YUV_YV12

          public static final int COLOR_BGR2YUV_YV12

      See Also:
        Constant Field Values

    - #### COLOR_RGBA2YUV_YV12

          public static final int COLOR_RGBA2YUV_YV12

      See Also:
        Constant Field Values

    - #### COLOR_BGRA2YUV_YV12

          public static final int COLOR_BGRA2YUV_YV12

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2BGR

          public static final int COLOR_BayerBG2BGR

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2BGR

          public static final int COLOR_BayerGB2BGR

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2BGR

          public static final int COLOR_BayerRG2BGR

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2BGR

          public static final int COLOR_BayerGR2BGR

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2RGB

          public static final int COLOR_BayerBG2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2RGB

          public static final int COLOR_BayerGB2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2RGB

          public static final int COLOR_BayerRG2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2RGB

          public static final int COLOR_BayerGR2RGB

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2GRAY

          public static final int COLOR_BayerBG2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2GRAY

          public static final int COLOR_BayerGB2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2GRAY

          public static final int COLOR_BayerRG2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2GRAY

          public static final int COLOR_BayerGR2GRAY

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2BGR_VNG

          public static final int COLOR_BayerBG2BGR_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2BGR_VNG

          public static final int COLOR_BayerGB2BGR_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2BGR_VNG

          public static final int COLOR_BayerRG2BGR_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2BGR_VNG

          public static final int COLOR_BayerGR2BGR_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2RGB_VNG

          public static final int COLOR_BayerBG2RGB_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2RGB_VNG

          public static final int COLOR_BayerGB2RGB_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2RGB_VNG

          public static final int COLOR_BayerRG2RGB_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2RGB_VNG

          public static final int COLOR_BayerGR2RGB_VNG

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2BGR_EA

          public static final int COLOR_BayerBG2BGR_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2BGR_EA

          public static final int COLOR_BayerGB2BGR_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2BGR_EA

          public static final int COLOR_BayerRG2BGR_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2BGR_EA

          public static final int COLOR_BayerGR2BGR_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2RGB_EA

          public static final int COLOR_BayerBG2RGB_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2RGB_EA

          public static final int COLOR_BayerGB2RGB_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2RGB_EA

          public static final int COLOR_BayerRG2RGB_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2RGB_EA

          public static final int COLOR_BayerGR2RGB_EA

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2BGRA

          public static final int COLOR_BayerBG2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2BGRA

          public static final int COLOR_BayerGB2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2BGRA

          public static final int COLOR_BayerRG2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2BGRA

          public static final int COLOR_BayerGR2BGRA

      See Also:
        Constant Field Values

    - #### COLOR_BayerBG2RGBA

          public static final int COLOR_BayerBG2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGB2RGBA

          public static final int COLOR_BayerGB2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_BayerRG2RGBA

          public static final int COLOR_BayerRG2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_BayerGR2RGBA

          public static final int COLOR_BayerGR2RGBA

      See Also:
        Constant Field Values

    - #### COLOR_COLORCVT_MAX

          public static final int COLOR_COLORCVT_MAX

      See Also:
        Constant Field Values

    - #### INTERSECT_NONE

          public static final int INTERSECT_NONE

      See Also:
        Constant Field Values

    - #### INTERSECT_PARTIAL

          public static final int INTERSECT_PARTIAL

      See Also:
        Constant Field Values

    - #### INTERSECT_FULL

          public static final int INTERSECT_FULL

      See Also:
        Constant Field Values

    - #### TM_SQDIFF

          public static final int TM_SQDIFF

      See Also:
        Constant Field Values

    - #### TM_SQDIFF_NORMED

          public static final int TM_SQDIFF_NORMED

      See Also:
        Constant Field Values

    - #### TM_CCORR

          public static final int TM_CCORR

      See Also:
        Constant Field Values

    - #### TM_CCORR_NORMED

          public static final int TM_CCORR_NORMED

      See Also:
        Constant Field Values

    - #### TM_CCOEFF

          public static final int TM_CCOEFF

      See Also:
        Constant Field Values

    - #### TM_CCOEFF_NORMED

          public static final int TM_CCOEFF_NORMED

      See Also:
        Constant Field Values

    - #### COLORMAP_AUTUMN

          public static final int COLORMAP_AUTUMN

      See Also:
        Constant Field Values

    - #### COLORMAP_BONE

          public static final int COLORMAP_BONE

      See Also:
        Constant Field Values

    - #### COLORMAP_JET

          public static final int COLORMAP_JET

      See Also:
        Constant Field Values

    - #### COLORMAP_WINTER

          public static final int COLORMAP_WINTER

      See Also:
        Constant Field Values

    - #### COLORMAP_RAINBOW

          public static final int COLORMAP_RAINBOW

      See Also:
        Constant Field Values

    - #### COLORMAP_OCEAN

          public static final int COLORMAP_OCEAN

      See Also:
        Constant Field Values

    - #### COLORMAP_SUMMER

          public static final int COLORMAP_SUMMER

      See Also:
        Constant Field Values

    - #### COLORMAP_SPRING

          public static final int COLORMAP_SPRING

      See Also:
        Constant Field Values

    - #### COLORMAP_COOL

          public static final int COLORMAP_COOL

      See Also:
        Constant Field Values

    - #### COLORMAP_HSV

          public static final int COLORMAP_HSV

      See Also:
        Constant Field Values

    - #### COLORMAP_PINK

          public static final int COLORMAP_PINK

      See Also:
        Constant Field Values

    - #### COLORMAP_HOT

          public static final int COLORMAP_HOT

      See Also:
        Constant Field Values

    - #### COLORMAP_PARULA

          public static final int COLORMAP_PARULA

      See Also:
        Constant Field Values

    - #### MARKER_CROSS

          public static final int MARKER_CROSS

      See Also:
        Constant Field Values

    - #### MARKER_TILTED_CROSS

          public static final int MARKER_TILTED_CROSS

      See Also:
        Constant Field Values

    - #### MARKER_STAR

          public static final int MARKER_STAR

      See Also:
        Constant Field Values

    - #### MARKER_DIAMOND

          public static final int MARKER_DIAMOND

      See Also:
        Constant Field Values

    - #### MARKER_SQUARE

          public static final int MARKER_SQUARE

      See Also:
        Constant Field Values

    - #### MARKER_TRIANGLE_UP

          public static final int MARKER_TRIANGLE_UP

      See Also:
        Constant Field Values

    - #### MARKER_TRIANGLE_DOWN

          public static final int MARKER_TRIANGLE_DOWN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Imgproc

          public Imgproc()

  - ### Method Detail

    - #### getAffineTransform

          public static Mat getAffineTransform(MatOfPoint2f src,
                                               MatOfPoint2f dst)

    - #### getDefaultNewCameraMatrix

          public static Mat getDefaultNewCameraMatrix(Mat cameraMatrix,
                                                      Size imgsize,
                                                      boolean centerPrincipalPoint)

    - #### getDefaultNewCameraMatrix

          public static Mat getDefaultNewCameraMatrix(Mat cameraMatrix,
                                                      Size imgsize)

    - #### getDefaultNewCameraMatrix

          public static Mat getDefaultNewCameraMatrix(Mat cameraMatrix)

    - #### getGaborKernel

          public static Mat getGaborKernel(Size ksize,
                                           double sigma,
                                           double theta,
                                           double lambd,
                                           double gamma,
                                           double psi,
                                           int ktype)

    - #### getGaborKernel

          public static Mat getGaborKernel(Size ksize,
                                           double sigma,
                                           double theta,
                                           double lambd,
                                           double gamma,
                                           double psi)

    - #### getGaborKernel

          public static Mat getGaborKernel(Size ksize,
                                           double sigma,
                                           double theta,
                                           double lambd,
                                           double gamma)

    - #### getGaussianKernel

          public static Mat getGaussianKernel(int ksize,
                                              double sigma,
                                              int ktype)

    - #### getGaussianKernel

          public static Mat getGaussianKernel(int ksize,
                                              double sigma)

    - #### getPerspectiveTransform

          public static Mat getPerspectiveTransform(Mat src,
                                                    Mat dst)

    - #### getRotationMatrix2D

          public static Mat getRotationMatrix2D(Point center,
                                                double angle,
                                                double scale)

    - #### getStructuringElement

          public static Mat getStructuringElement(int shape,
                                                  Size ksize,
                                                  Point anchor)

    - #### getStructuringElement

          public static Mat getStructuringElement(int shape,
                                                  Size ksize)

    - #### moments

          public static Moments moments(Mat array,
                                        boolean binaryImage)

    - #### moments

          public static Moments moments(Mat array)

    - #### phaseCorrelate

          public static Point phaseCorrelate(Mat src1,
                                             Mat src2,
                                             Mat window,
                                             double[] response)

    - #### phaseCorrelate

          public static Point phaseCorrelate(Mat src1,
                                             Mat src2,
                                             Mat window)

    - #### phaseCorrelate

          public static Point phaseCorrelate(Mat src1,
                                             Mat src2)

    - #### createCLAHE

          public static CLAHE createCLAHE(double clipLimit,
                                          Size tileGridSize)

    - #### createCLAHE

          public static CLAHE createCLAHE(double clipLimit)

    - #### createCLAHE

          public static CLAHE createCLAHE()

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine,
                                                                      double _scale,
                                                                      double _sigma_scale,
                                                                      double _quant,
                                                                      double _ang_th,
                                                                      double _log_eps,
                                                                      double _density_th,
                                                                      int _n_bins)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine,
                                                                      double _scale,
                                                                      double _sigma_scale,
                                                                      double _quant,
                                                                      double _ang_th,
                                                                      double _log_eps,
                                                                      double _density_th)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine,
                                                                      double _scale,
                                                                      double _sigma_scale,
                                                                      double _quant,
                                                                      double _ang_th,
                                                                      double _log_eps)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine,
                                                                      double _scale,
                                                                      double _sigma_scale,
                                                                      double _quant,
                                                                      double _ang_th)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine,
                                                                      double _scale,
                                                                      double _sigma_scale,
                                                                      double _quant)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine,
                                                                      double _scale,
                                                                      double _sigma_scale)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine,
                                                                      double _scale)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector(int _refine)

    - #### createLineSegmentDetector

          public static LineSegmentDetector createLineSegmentDetector()

    - #### boundingRect

          public static Rect boundingRect(MatOfPoint points)

    - #### fitEllipse

          public static RotatedRect fitEllipse(MatOfPoint2f points)

    - #### fitEllipseAMS

          public static RotatedRect fitEllipseAMS(Mat points)

    - #### fitEllipseDirect

          public static RotatedRect fitEllipseDirect(Mat points)

    - #### minAreaRect

          public static RotatedRect minAreaRect(MatOfPoint2f points)

    - #### clipLine

          public static boolean clipLine(Rect imgRect,
                                         Point pt1,
                                         Point pt2)

    - #### isContourConvex

          public static boolean isContourConvex(MatOfPoint contour)

    - #### arcLength

          public static double arcLength(MatOfPoint2f curve,
                                         boolean closed)

    - #### compareHist

          public static double compareHist(Mat H1,
                                           Mat H2,
                                           int method)

    - #### contourArea

          public static double contourArea(Mat contour,
                                           boolean oriented)

    - #### contourArea

          public static double contourArea(Mat contour)

    - #### getFontScaleFromHeight

          public static double getFontScaleFromHeight(int fontFace,
                                                      int pixelHeight,
                                                      int thickness)

    - #### getFontScaleFromHeight

          public static double getFontScaleFromHeight(int fontFace,
                                                      int pixelHeight)

    - #### matchShapes

          public static double matchShapes(Mat contour1,
                                           Mat contour2,
                                           int method,
                                           double parameter)

    - #### minEnclosingTriangle

          public static double minEnclosingTriangle(Mat points,
                                                    Mat triangle)

    - #### pointPolygonTest

          public static double pointPolygonTest(MatOfPoint2f contour,
                                                Point pt,
                                                boolean measureDist)

    - #### threshold

          public static double threshold(Mat src,
                                         Mat dst,
                                         double thresh,
                                         double maxval,
                                         int type)

    - #### initWideAngleProjMap

          public static float initWideAngleProjMap(Mat cameraMatrix,
                                                   Mat distCoeffs,
                                                   Size imageSize,
                                                   int destImageWidth,
                                                   int m1type,
                                                   Mat map1,
                                                   Mat map2,
                                                   int projType,
                                                   double alpha)

    - #### initWideAngleProjMap

          public static float initWideAngleProjMap(Mat cameraMatrix,
                                                   Mat distCoeffs,
                                                   Size imageSize,
                                                   int destImageWidth,
                                                   int m1type,
                                                   Mat map1,
                                                   Mat map2,
                                                   int projType)

    - #### initWideAngleProjMap

          public static float initWideAngleProjMap(Mat cameraMatrix,
                                                   Mat distCoeffs,
                                                   Size imageSize,
                                                   int destImageWidth,
                                                   int m1type,
                                                   Mat map1,
                                                   Mat map2)

    - #### intersectConvexConvex

          public static float intersectConvexConvex(Mat _p1,
                                                    Mat _p2,
                                                    Mat _p12,
                                                    boolean handleNested)

    - #### intersectConvexConvex

          public static float intersectConvexConvex(Mat _p1,
                                                    Mat _p2,
                                                    Mat _p12)

    - #### EMD

          public static float EMD(Mat signature1,
                                  Mat signature2,
                                  int distType,
                                  Mat cost,
                                  Mat flow)

    - #### EMD

          public static float EMD(Mat signature1,
                                  Mat signature2,
                                  int distType,
                                  Mat cost)

    - #### EMD

          public static float EMD(Mat signature1,
                                  Mat signature2,
                                  int distType)

    - #### connectedComponentsWithAlgorithm

          public static int connectedComponentsWithAlgorithm(Mat image,
                                                             Mat labels,
                                                             int connectivity,
                                                             int ltype,
                                                             int ccltype)

    - #### connectedComponents

          public static int connectedComponents(Mat image,
                                                Mat labels,
                                                int connectivity,
                                                int ltype)

    - #### connectedComponents

          public static int connectedComponents(Mat image,
                                                Mat labels,
                                                int connectivity)

    - #### connectedComponents

          public static int connectedComponents(Mat image,
                                                Mat labels)

    - #### connectedComponentsWithStatsWithAlgorithm

          public static int connectedComponentsWithStatsWithAlgorithm(Mat image,
                                                                      Mat labels,
                                                                      Mat stats,
                                                                      Mat centroids,
                                                                      int connectivity,
                                                                      int ltype,
                                                                      int ccltype)

    - #### connectedComponentsWithStats

          public static int connectedComponentsWithStats(Mat image,
                                                         Mat labels,
                                                         Mat stats,
                                                         Mat centroids,
                                                         int connectivity,
                                                         int ltype)

    - #### connectedComponentsWithStats

          public static int connectedComponentsWithStats(Mat image,
                                                         Mat labels,
                                                         Mat stats,
                                                         Mat centroids,
                                                         int connectivity)

    - #### connectedComponentsWithStats

          public static int connectedComponentsWithStats(Mat image,
                                                         Mat labels,
                                                         Mat stats,
                                                         Mat centroids)

    - #### floodFill

          public static int floodFill(Mat image,
                                      Mat mask,
                                      Point seedPoint,
                                      Scalar newVal,
                                      Rect rect,
                                      Scalar loDiff,
                                      Scalar upDiff,
                                      int flags)

    - #### floodFill

          public static int floodFill(Mat image,
                                      Mat mask,
                                      Point seedPoint,
                                      Scalar newVal,
                                      Rect rect,
                                      Scalar loDiff,
                                      Scalar upDiff)

    - #### floodFill

          public static int floodFill(Mat image,
                                      Mat mask,
                                      Point seedPoint,
                                      Scalar newVal,
                                      Rect rect,
                                      Scalar loDiff)

    - #### floodFill

          public static int floodFill(Mat image,
                                      Mat mask,
                                      Point seedPoint,
                                      Scalar newVal,
                                      Rect rect)

    - #### floodFill

          public static int floodFill(Mat image,
                                      Mat mask,
                                      Point seedPoint,
                                      Scalar newVal)

    - #### rotatedRectangleIntersection

          public static int rotatedRectangleIntersection(RotatedRect rect1,
                                                         RotatedRect rect2,
                                                         Mat intersectingRegion)

    - #### Canny

          public static void Canny(Mat dx,
                                   Mat dy,
                                   Mat edges,
                                   double threshold1,
                                   double threshold2,
                                   boolean L2gradient)

    - #### Canny

          public static void Canny(Mat dx,
                                   Mat dy,
                                   Mat edges,
                                   double threshold1,
                                   double threshold2)

    - #### Canny

          public static void Canny(Mat image,
                                   Mat edges,
                                   double threshold1,
                                   double threshold2,
                                   int apertureSize,
                                   boolean L2gradient)

    - #### Canny

          public static void Canny(Mat image,
                                   Mat edges,
                                   double threshold1,
                                   double threshold2,
                                   int apertureSize)

    - #### Canny

          public static void Canny(Mat image,
                                   Mat edges,
                                   double threshold1,
                                   double threshold2)

    - #### GaussianBlur

          public static void GaussianBlur(Mat src,
                                          Mat dst,
                                          Size ksize,
                                          double sigmaX,
                                          double sigmaY,
                                          int borderType)

    - #### GaussianBlur

          public static void GaussianBlur(Mat src,
                                          Mat dst,
                                          Size ksize,
                                          double sigmaX,
                                          double sigmaY)

    - #### GaussianBlur

          public static void GaussianBlur(Mat src,
                                          Mat dst,
                                          Size ksize,
                                          double sigmaX)

    - #### HoughCircles

          public static void HoughCircles(Mat image,
                                          Mat circles,
                                          int method,
                                          double dp,
                                          double minDist,
                                          double param1,
                                          double param2,
                                          int minRadius,
                                          int maxRadius)

    - #### HoughCircles

          public static void HoughCircles(Mat image,
                                          Mat circles,
                                          int method,
                                          double dp,
                                          double minDist,
                                          double param1,
                                          double param2,
                                          int minRadius)

    - #### HoughCircles

          public static void HoughCircles(Mat image,
                                          Mat circles,
                                          int method,
                                          double dp,
                                          double minDist,
                                          double param1,
                                          double param2)

    - #### HoughCircles

          public static void HoughCircles(Mat image,
                                          Mat circles,
                                          int method,
                                          double dp,
                                          double minDist,
                                          double param1)

    - #### HoughCircles

          public static void HoughCircles(Mat image,
                                          Mat circles,
                                          int method,
                                          double dp,
                                          double minDist)

    - #### HoughLines

          public static void HoughLines(Mat image,
                                        Mat lines,
                                        double rho,
                                        double theta,
                                        int threshold,
                                        double srn,
                                        double stn,
                                        double min_theta,
                                        double max_theta)

    - #### HoughLines

          public static void HoughLines(Mat image,
                                        Mat lines,
                                        double rho,
                                        double theta,
                                        int threshold,
                                        double srn,
                                        double stn,
                                        double min_theta)

    - #### HoughLines

          public static void HoughLines(Mat image,
                                        Mat lines,
                                        double rho,
                                        double theta,
                                        int threshold,
                                        double srn,
                                        double stn)

    - #### HoughLines

          public static void HoughLines(Mat image,
                                        Mat lines,
                                        double rho,
                                        double theta,
                                        int threshold,
                                        double srn)

    - #### HoughLines

          public static void HoughLines(Mat image,
                                        Mat lines,
                                        double rho,
                                        double theta,
                                        int threshold)

    - #### HoughLinesP

          public static void HoughLinesP(Mat image,
                                         Mat lines,
                                         double rho,
                                         double theta,
                                         int threshold,
                                         double minLineLength,
                                         double maxLineGap)

    - #### HoughLinesP

          public static void HoughLinesP(Mat image,
                                         Mat lines,
                                         double rho,
                                         double theta,
                                         int threshold,
                                         double minLineLength)

    - #### HoughLinesP

          public static void HoughLinesP(Mat image,
                                         Mat lines,
                                         double rho,
                                         double theta,
                                         int threshold)

    - #### HoughLinesPointSet

          public static void HoughLinesPointSet(Mat _point,
                                                Mat _lines,
                                                int lines_max,
                                                int threshold,
                                                double min_rho,
                                                double max_rho,
                                                double rho_step,
                                                double min_theta,
                                                double max_theta,
                                                double theta_step)

    - #### HuMoments

          public static void HuMoments(Moments m,
                                       Mat hu)

    - #### Laplacian

          public static void Laplacian(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       int ksize,
                                       double scale,
                                       double delta,
                                       int borderType)

    - #### Laplacian

          public static void Laplacian(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       int ksize,
                                       double scale,
                                       double delta)

    - #### Laplacian

          public static void Laplacian(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       int ksize,
                                       double scale)

    - #### Laplacian

          public static void Laplacian(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       int ksize)

    - #### Laplacian

          public static void Laplacian(Mat src,
                                       Mat dst,
                                       int ddepth)

    - #### Scharr

          public static void Scharr(Mat src,
                                    Mat dst,
                                    int ddepth,
                                    int dx,
                                    int dy,
                                    double scale,
                                    double delta,
                                    int borderType)

    - #### Scharr

          public static void Scharr(Mat src,
                                    Mat dst,
                                    int ddepth,
                                    int dx,
                                    int dy,
                                    double scale,
                                    double delta)

    - #### Scharr

          public static void Scharr(Mat src,
                                    Mat dst,
                                    int ddepth,
                                    int dx,
                                    int dy,
                                    double scale)

    - #### Scharr

          public static void Scharr(Mat src,
                                    Mat dst,
                                    int ddepth,
                                    int dx,
                                    int dy)

    - #### Sobel

          public static void Sobel(Mat src,
                                   Mat dst,
                                   int ddepth,
                                   int dx,
                                   int dy,
                                   int ksize,
                                   double scale,
                                   double delta,
                                   int borderType)

    - #### Sobel

          public static void Sobel(Mat src,
                                   Mat dst,
                                   int ddepth,
                                   int dx,
                                   int dy,
                                   int ksize,
                                   double scale,
                                   double delta)

    - #### Sobel

          public static void Sobel(Mat src,
                                   Mat dst,
                                   int ddepth,
                                   int dx,
                                   int dy,
                                   int ksize,
                                   double scale)

    - #### Sobel

          public static void Sobel(Mat src,
                                   Mat dst,
                                   int ddepth,
                                   int dx,
                                   int dy,
                                   int ksize)

    - #### Sobel

          public static void Sobel(Mat src,
                                   Mat dst,
                                   int ddepth,
                                   int dx,
                                   int dy)

    - #### accumulate

          public static void accumulate(Mat src,
                                        Mat dst,
                                        Mat mask)

    - #### accumulate

          public static void accumulate(Mat src,
                                        Mat dst)

    - #### accumulateProduct

          public static void accumulateProduct(Mat src1,
                                               Mat src2,
                                               Mat dst,
                                               Mat mask)

    - #### accumulateProduct

          public static void accumulateProduct(Mat src1,
                                               Mat src2,
                                               Mat dst)

    - #### accumulateSquare

          public static void accumulateSquare(Mat src,
                                              Mat dst,
                                              Mat mask)

    - #### accumulateSquare

          public static void accumulateSquare(Mat src,
                                              Mat dst)

    - #### accumulateWeighted

          public static void accumulateWeighted(Mat src,
                                                Mat dst,
                                                double alpha,
                                                Mat mask)

    - #### accumulateWeighted

          public static void accumulateWeighted(Mat src,
                                                Mat dst,
                                                double alpha)

    - #### adaptiveThreshold

          public static void adaptiveThreshold(Mat src,
                                               Mat dst,
                                               double maxValue,
                                               int adaptiveMethod,
                                               int thresholdType,
                                               int blockSize,
                                               double C)

    - #### applyColorMap

          public static void applyColorMap(Mat src,
                                           Mat dst,
                                           Mat userColor)

    - #### applyColorMap

          public static void applyColorMap(Mat src,
                                           Mat dst,
                                           int colormap)

    - #### approxPolyDP

          public static void approxPolyDP(MatOfPoint2f curve,
                                          MatOfPoint2f approxCurve,
                                          double epsilon,
                                          boolean closed)

    - #### arrowedLine

          public static void arrowedLine(Mat img,
                                         Point pt1,
                                         Point pt2,
                                         Scalar color,
                                         int thickness,
                                         int line_type,
                                         int shift,
                                         double tipLength)

    - #### arrowedLine

          public static void arrowedLine(Mat img,
                                         Point pt1,
                                         Point pt2,
                                         Scalar color,
                                         int thickness,
                                         int line_type,
                                         int shift)

    - #### arrowedLine

          public static void arrowedLine(Mat img,
                                         Point pt1,
                                         Point pt2,
                                         Scalar color,
                                         int thickness,
                                         int line_type)

    - #### arrowedLine

          public static void arrowedLine(Mat img,
                                         Point pt1,
                                         Point pt2,
                                         Scalar color,
                                         int thickness)

    - #### arrowedLine

          public static void arrowedLine(Mat img,
                                         Point pt1,
                                         Point pt2,
                                         Scalar color)

    - #### bilateralFilter

          public static void bilateralFilter(Mat src,
                                             Mat dst,
                                             int d,
                                             double sigmaColor,
                                             double sigmaSpace,
                                             int borderType)

    - #### bilateralFilter

          public static void bilateralFilter(Mat src,
                                             Mat dst,
                                             int d,
                                             double sigmaColor,
                                             double sigmaSpace)

    - #### blur

          public static void blur(Mat src,
                                  Mat dst,
                                  Size ksize,
                                  Point anchor,
                                  int borderType)

    - #### blur

          public static void blur(Mat src,
                                  Mat dst,
                                  Size ksize,
                                  Point anchor)

    - #### blur

          public static void blur(Mat src,
                                  Mat dst,
                                  Size ksize)

    - #### boxFilter

          public static void boxFilter(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       Size ksize,
                                       Point anchor,
                                       boolean normalize,
                                       int borderType)

    - #### boxFilter

          public static void boxFilter(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       Size ksize,
                                       Point anchor,
                                       boolean normalize)

    - #### boxFilter

          public static void boxFilter(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       Size ksize,
                                       Point anchor)

    - #### boxFilter

          public static void boxFilter(Mat src,
                                       Mat dst,
                                       int ddepth,
                                       Size ksize)

    - #### boxPoints

          public static void boxPoints(RotatedRect box,
                                       Mat points)

    - #### calcBackProject

          public static void calcBackProject(java.util.List<Mat> images,
                                             MatOfInt channels,
                                             Mat hist,
                                             Mat dst,
                                             MatOfFloat ranges,
                                             double scale)

    - #### calcHist

          public static void calcHist(java.util.List<Mat> images,
                                      MatOfInt channels,
                                      Mat mask,
                                      Mat hist,
                                      MatOfInt histSize,
                                      MatOfFloat ranges,
                                      boolean accumulate)

    - #### calcHist

          public static void calcHist(java.util.List<Mat> images,
                                      MatOfInt channels,
                                      Mat mask,
                                      Mat hist,
                                      MatOfInt histSize,
                                      MatOfFloat ranges)

    - #### circle

          public static void circle(Mat img,
                                    Point center,
                                    int radius,
                                    Scalar color,
                                    int thickness,
                                    int lineType,
                                    int shift)

    - #### circle

          public static void circle(Mat img,
                                    Point center,
                                    int radius,
                                    Scalar color,
                                    int thickness,
                                    int lineType)

    - #### circle

          public static void circle(Mat img,
                                    Point center,
                                    int radius,
                                    Scalar color,
                                    int thickness)

    - #### circle

          public static void circle(Mat img,
                                    Point center,
                                    int radius,
                                    Scalar color)

    - #### convertMaps

          public static void convertMaps(Mat map1,
                                         Mat map2,
                                         Mat dstmap1,
                                         Mat dstmap2,
                                         int dstmap1type,
                                         boolean nninterpolation)

    - #### convertMaps

          public static void convertMaps(Mat map1,
                                         Mat map2,
                                         Mat dstmap1,
                                         Mat dstmap2,
                                         int dstmap1type)

    - #### convexHull

          public static void convexHull(MatOfPoint points,
                                        MatOfInt hull,
                                        boolean clockwise)

    - #### convexHull

          public static void convexHull(MatOfPoint points,
                                        MatOfInt hull)

    - #### convexityDefects

          public static void convexityDefects(MatOfPoint contour,
                                              MatOfInt convexhull,
                                              MatOfInt4 convexityDefects)

    - #### cornerEigenValsAndVecs

          public static void cornerEigenValsAndVecs(Mat src,
                                                    Mat dst,
                                                    int blockSize,
                                                    int ksize,
                                                    int borderType)

    - #### cornerEigenValsAndVecs

          public static void cornerEigenValsAndVecs(Mat src,
                                                    Mat dst,
                                                    int blockSize,
                                                    int ksize)

    - #### cornerHarris

          public static void cornerHarris(Mat src,
                                          Mat dst,
                                          int blockSize,
                                          int ksize,
                                          double k,
                                          int borderType)

    - #### cornerHarris

          public static void cornerHarris(Mat src,
                                          Mat dst,
                                          int blockSize,
                                          int ksize,
                                          double k)

    - #### cornerMinEigenVal

          public static void cornerMinEigenVal(Mat src,
                                               Mat dst,
                                               int blockSize,
                                               int ksize,
                                               int borderType)

    - #### cornerMinEigenVal

          public static void cornerMinEigenVal(Mat src,
                                               Mat dst,
                                               int blockSize,
                                               int ksize)

    - #### cornerMinEigenVal

          public static void cornerMinEigenVal(Mat src,
                                               Mat dst,
                                               int blockSize)

    - #### cornerSubPix

          public static void cornerSubPix(Mat image,
                                          Mat corners,
                                          Size winSize,
                                          Size zeroZone,
                                          TermCriteria criteria)

    - #### createHanningWindow

          public static void createHanningWindow(Mat dst,
                                                 Size winSize,
                                                 int type)

    - #### cvtColor

          public static void cvtColor(Mat src,
                                      Mat dst,
                                      int code,
                                      int dstCn)

    - #### cvtColor

          public static void cvtColor(Mat src,
                                      Mat dst,
                                      int code)

    - #### cvtColorTwoPlane

          public static void cvtColorTwoPlane(Mat src1,
                                              Mat src2,
                                              Mat dst,
                                              int code)

    - #### demosaicing

          public static void demosaicing(Mat _src,
                                         Mat _dst,
                                         int code,
                                         int dcn)

    - #### demosaicing

          public static void demosaicing(Mat _src,
                                         Mat _dst,
                                         int code)

    - #### dilate

          public static void dilate(Mat src,
                                    Mat dst,
                                    Mat kernel,
                                    Point anchor,
                                    int iterations,
                                    int borderType,
                                    Scalar borderValue)

    - #### dilate

          public static void dilate(Mat src,
                                    Mat dst,
                                    Mat kernel,
                                    Point anchor,
                                    int iterations,
                                    int borderType)

    - #### dilate

          public static void dilate(Mat src,
                                    Mat dst,
                                    Mat kernel,
                                    Point anchor,
                                    int iterations)

    - #### dilate

          public static void dilate(Mat src,
                                    Mat dst,
                                    Mat kernel,
                                    Point anchor)

    - #### dilate

          public static void dilate(Mat src,
                                    Mat dst,
                                    Mat kernel)

    - #### distanceTransformWithLabels

          public static void distanceTransformWithLabels(Mat src,
                                                         Mat dst,
                                                         Mat labels,
                                                         int distanceType,
                                                         int maskSize,
                                                         int labelType)

    - #### distanceTransformWithLabels

          public static void distanceTransformWithLabels(Mat src,
                                                         Mat dst,
                                                         Mat labels,
                                                         int distanceType,
                                                         int maskSize)

    - #### distanceTransform

          public static void distanceTransform(Mat src,
                                               Mat dst,
                                               int distanceType,
                                               int maskSize,
                                               int dstType)

    - #### distanceTransform

          public static void distanceTransform(Mat src,
                                               Mat dst,
                                               int distanceType,
                                               int maskSize)

    - #### drawContours

          public static void drawContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          int contourIdx,
                                          Scalar color,
                                          int thickness,
                                          int lineType,
                                          Mat hierarchy,
                                          int maxLevel,
                                          Point offset)

    - #### drawContours

          public static void drawContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          int contourIdx,
                                          Scalar color,
                                          int thickness,
                                          int lineType,
                                          Mat hierarchy,
                                          int maxLevel)

    - #### drawContours

          public static void drawContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          int contourIdx,
                                          Scalar color,
                                          int thickness,
                                          int lineType,
                                          Mat hierarchy)

    - #### drawContours

          public static void drawContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          int contourIdx,
                                          Scalar color,
                                          int thickness,
                                          int lineType)

    - #### drawContours

          public static void drawContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          int contourIdx,
                                          Scalar color,
                                          int thickness)

    - #### drawContours

          public static void drawContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          int contourIdx,
                                          Scalar color)

    - #### drawMarker

          public static void drawMarker(Mat img,
                                        Point position,
                                        Scalar color,
                                        int markerType,
                                        int markerSize,
                                        int thickness,
                                        int line_type)

    - #### drawMarker

          public static void drawMarker(Mat img,
                                        Point position,
                                        Scalar color,
                                        int markerType,
                                        int markerSize,
                                        int thickness)

    - #### drawMarker

          public static void drawMarker(Mat img,
                                        Point position,
                                        Scalar color,
                                        int markerType,
                                        int markerSize)

    - #### drawMarker

          public static void drawMarker(Mat img,
                                        Point position,
                                        Scalar color,
                                        int markerType)

    - #### drawMarker

          public static void drawMarker(Mat img,
                                        Point position,
                                        Scalar color)

    - #### ellipse

          public static void ellipse(Mat img,
                                     Point center,
                                     Size axes,
                                     double angle,
                                     double startAngle,
                                     double endAngle,
                                     Scalar color,
                                     int thickness,
                                     int lineType,
                                     int shift)

    - #### ellipse

          public static void ellipse(Mat img,
                                     Point center,
                                     Size axes,
                                     double angle,
                                     double startAngle,
                                     double endAngle,
                                     Scalar color,
                                     int thickness,
                                     int lineType)

    - #### ellipse

          public static void ellipse(Mat img,
                                     Point center,
                                     Size axes,
                                     double angle,
                                     double startAngle,
                                     double endAngle,
                                     Scalar color,
                                     int thickness)

    - #### ellipse

          public static void ellipse(Mat img,
                                     Point center,
                                     Size axes,
                                     double angle,
                                     double startAngle,
                                     double endAngle,
                                     Scalar color)

    - #### ellipse

          public static void ellipse(Mat img,
                                     RotatedRect box,
                                     Scalar color,
                                     int thickness,
                                     int lineType)

    - #### ellipse

          public static void ellipse(Mat img,
                                     RotatedRect box,
                                     Scalar color,
                                     int thickness)

    - #### ellipse

          public static void ellipse(Mat img,
                                     RotatedRect box,
                                     Scalar color)

    - #### ellipse2Poly

          public static void ellipse2Poly(Point center,
                                          Size axes,
                                          int angle,
                                          int arcStart,
                                          int arcEnd,
                                          int delta,
                                          MatOfPoint pts)

    - #### equalizeHist

          public static void equalizeHist(Mat src,
                                          Mat dst)

    - #### erode

          public static void erode(Mat src,
                                   Mat dst,
                                   Mat kernel,
                                   Point anchor,
                                   int iterations,
                                   int borderType,
                                   Scalar borderValue)

    - #### erode

          public static void erode(Mat src,
                                   Mat dst,
                                   Mat kernel,
                                   Point anchor,
                                   int iterations,
                                   int borderType)

    - #### erode

          public static void erode(Mat src,
                                   Mat dst,
                                   Mat kernel,
                                   Point anchor,
                                   int iterations)

    - #### erode

          public static void erode(Mat src,
                                   Mat dst,
                                   Mat kernel,
                                   Point anchor)

    - #### erode

          public static void erode(Mat src,
                                   Mat dst,
                                   Mat kernel)

    - #### fillConvexPoly

          public static void fillConvexPoly(Mat img,
                                            MatOfPoint points,
                                            Scalar color,
                                            int lineType,
                                            int shift)

    - #### fillConvexPoly

          public static void fillConvexPoly(Mat img,
                                            MatOfPoint points,
                                            Scalar color,
                                            int lineType)

    - #### fillConvexPoly

          public static void fillConvexPoly(Mat img,
                                            MatOfPoint points,
                                            Scalar color)

    - #### fillPoly

          public static void fillPoly(Mat img,
                                      java.util.List<MatOfPoint> pts,
                                      Scalar color,
                                      int lineType,
                                      int shift,
                                      Point offset)

    - #### fillPoly

          public static void fillPoly(Mat img,
                                      java.util.List<MatOfPoint> pts,
                                      Scalar color,
                                      int lineType,
                                      int shift)

    - #### fillPoly

          public static void fillPoly(Mat img,
                                      java.util.List<MatOfPoint> pts,
                                      Scalar color,
                                      int lineType)

    - #### fillPoly

          public static void fillPoly(Mat img,
                                      java.util.List<MatOfPoint> pts,
                                      Scalar color)

    - #### filter2D

          public static void filter2D(Mat src,
                                      Mat dst,
                                      int ddepth,
                                      Mat kernel,
                                      Point anchor,
                                      double delta,
                                      int borderType)

    - #### filter2D

          public static void filter2D(Mat src,
                                      Mat dst,
                                      int ddepth,
                                      Mat kernel,
                                      Point anchor,
                                      double delta)

    - #### filter2D

          public static void filter2D(Mat src,
                                      Mat dst,
                                      int ddepth,
                                      Mat kernel,
                                      Point anchor)

    - #### filter2D

          public static void filter2D(Mat src,
                                      Mat dst,
                                      int ddepth,
                                      Mat kernel)

    - #### findContours

          public static void findContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          Mat hierarchy,
                                          int mode,
                                          int method,
                                          Point offset)

    - #### findContours

          public static void findContours(Mat image,
                                          java.util.List<MatOfPoint> contours,
                                          Mat hierarchy,
                                          int mode,
                                          int method)

    - #### fitLine

          public static void fitLine(Mat points,
                                     Mat line,
                                     int distType,
                                     double param,
                                     double reps,
                                     double aeps)

    - #### getDerivKernels

          public static void getDerivKernels(Mat kx,
                                             Mat ky,
                                             int dx,
                                             int dy,
                                             int ksize,
                                             boolean normalize,
                                             int ktype)

    - #### getDerivKernels

          public static void getDerivKernels(Mat kx,
                                             Mat ky,
                                             int dx,
                                             int dy,
                                             int ksize,
                                             boolean normalize)

    - #### getDerivKernels

          public static void getDerivKernels(Mat kx,
                                             Mat ky,
                                             int dx,
                                             int dy,
                                             int ksize)

    - #### getRectSubPix

          public static void getRectSubPix(Mat image,
                                           Size patchSize,
                                           Point center,
                                           Mat patch,
                                           int patchType)

    - #### getRectSubPix

          public static void getRectSubPix(Mat image,
                                           Size patchSize,
                                           Point center,
                                           Mat patch)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance,
                                                 Mat mask,
                                                 int blockSize,
                                                 int gradientSize,
                                                 boolean useHarrisDetector,
                                                 double k)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance,
                                                 Mat mask,
                                                 int blockSize,
                                                 int gradientSize,
                                                 boolean useHarrisDetector)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance,
                                                 Mat mask,
                                                 int blockSize,
                                                 int gradientSize)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance,
                                                 Mat mask,
                                                 int blockSize,
                                                 boolean useHarrisDetector,
                                                 double k)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance,
                                                 Mat mask,
                                                 int blockSize,
                                                 boolean useHarrisDetector)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance,
                                                 Mat mask,
                                                 int blockSize)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance,
                                                 Mat mask)

    - #### goodFeaturesToTrack

          public static void goodFeaturesToTrack(Mat image,
                                                 MatOfPoint corners,
                                                 int maxCorners,
                                                 double qualityLevel,
                                                 double minDistance)

    - #### grabCut

          public static void grabCut(Mat img,
                                     Mat mask,
                                     Rect rect,
                                     Mat bgdModel,
                                     Mat fgdModel,
                                     int iterCount,
                                     int mode)

    - #### grabCut

          public static void grabCut(Mat img,
                                     Mat mask,
                                     Rect rect,
                                     Mat bgdModel,
                                     Mat fgdModel,
                                     int iterCount)

    - #### initUndistortRectifyMap

          public static void initUndistortRectifyMap(Mat cameraMatrix,
                                                     Mat distCoeffs,
                                                     Mat R,
                                                     Mat newCameraMatrix,
                                                     Size size,
                                                     int m1type,
                                                     Mat map1,
                                                     Mat map2)

    - #### integral3

          public static void integral3(Mat src,
                                       Mat sum,
                                       Mat sqsum,
                                       Mat tilted,
                                       int sdepth,
                                       int sqdepth)

    - #### integral3

          public static void integral3(Mat src,
                                       Mat sum,
                                       Mat sqsum,
                                       Mat tilted,
                                       int sdepth)

    - #### integral3

          public static void integral3(Mat src,
                                       Mat sum,
                                       Mat sqsum,
                                       Mat tilted)

    - #### integral2

          public static void integral2(Mat src,
                                       Mat sum,
                                       Mat sqsum,
                                       int sdepth,
                                       int sqdepth)

    - #### integral2

          public static void integral2(Mat src,
                                       Mat sum,
                                       Mat sqsum,
                                       int sdepth)

    - #### integral2

          public static void integral2(Mat src,
                                       Mat sum,
                                       Mat sqsum)

    - #### integral

          public static void integral(Mat src,
                                      Mat sum,
                                      int sdepth)

    - #### integral

          public static void integral(Mat src,
                                      Mat sum)

    - #### invertAffineTransform

          public static void invertAffineTransform(Mat M,
                                                   Mat iM)

    - #### line

          public static void line(Mat img,
                                  Point pt1,
                                  Point pt2,
                                  Scalar color,
                                  int thickness,
                                  int lineType,
                                  int shift)

    - #### line

          public static void line(Mat img,
                                  Point pt1,
                                  Point pt2,
                                  Scalar color,
                                  int thickness,
                                  int lineType)

    - #### line

          public static void line(Mat img,
                                  Point pt1,
                                  Point pt2,
                                  Scalar color,
                                  int thickness)

    - #### line

          public static void line(Mat img,
                                  Point pt1,
                                  Point pt2,
                                  Scalar color)

    - #### linearPolar

          @Deprecated
          public static void linearPolar(Mat src,
                                                     Mat dst,
                                                     Point center,
                                                     double maxRadius,
                                                     int flags)

      Deprecated.

    - #### logPolar

          @Deprecated
          public static void logPolar(Mat src,
                                                  Mat dst,
                                                  Point center,
                                                  double M,
                                                  int flags)

      Deprecated.

    - #### matchTemplate

          public static void matchTemplate(Mat image,
                                           Mat templ,
                                           Mat result,
                                           int method,
                                           Mat mask)

    - #### matchTemplate

          public static void matchTemplate(Mat image,
                                           Mat templ,
                                           Mat result,
                                           int method)

    - #### medianBlur

          public static void medianBlur(Mat src,
                                        Mat dst,
                                        int ksize)

    - #### minEnclosingCircle

          public static void minEnclosingCircle(MatOfPoint2f points,
                                                Point center,
                                                float[] radius)

    - #### morphologyEx

          public static void morphologyEx(Mat src,
                                          Mat dst,
                                          int op,
                                          Mat kernel,
                                          Point anchor,
                                          int iterations,
                                          int borderType,
                                          Scalar borderValue)

    - #### morphologyEx

          public static void morphologyEx(Mat src,
                                          Mat dst,
                                          int op,
                                          Mat kernel,
                                          Point anchor,
                                          int iterations,
                                          int borderType)

    - #### morphologyEx

          public static void morphologyEx(Mat src,
                                          Mat dst,
                                          int op,
                                          Mat kernel,
                                          Point anchor,
                                          int iterations)

    - #### morphologyEx

          public static void morphologyEx(Mat src,
                                          Mat dst,
                                          int op,
                                          Mat kernel,
                                          Point anchor)

    - #### morphologyEx

          public static void morphologyEx(Mat src,
                                          Mat dst,
                                          int op,
                                          Mat kernel)

    - #### polylines

          public static void polylines(Mat img,
                                       java.util.List<MatOfPoint> pts,
                                       boolean isClosed,
                                       Scalar color,
                                       int thickness,
                                       int lineType,
                                       int shift)

    - #### polylines

          public static void polylines(Mat img,
                                       java.util.List<MatOfPoint> pts,
                                       boolean isClosed,
                                       Scalar color,
                                       int thickness,
                                       int lineType)

    - #### polylines

          public static void polylines(Mat img,
                                       java.util.List<MatOfPoint> pts,
                                       boolean isClosed,
                                       Scalar color,
                                       int thickness)

    - #### polylines

          public static void polylines(Mat img,
                                       java.util.List<MatOfPoint> pts,
                                       boolean isClosed,
                                       Scalar color)

    - #### preCornerDetect

          public static void preCornerDetect(Mat src,
                                             Mat dst,
                                             int ksize,
                                             int borderType)

    - #### preCornerDetect

          public static void preCornerDetect(Mat src,
                                             Mat dst,
                                             int ksize)

    - #### putText

          public static void putText(Mat img,
                                     java.lang.String text,
                                     Point org,
                                     int fontFace,
                                     double fontScale,
                                     Scalar color,
                                     int thickness,
                                     int lineType,
                                     boolean bottomLeftOrigin)

    - #### putText

          public static void putText(Mat img,
                                     java.lang.String text,
                                     Point org,
                                     int fontFace,
                                     double fontScale,
                                     Scalar color,
                                     int thickness,
                                     int lineType)

    - #### putText

          public static void putText(Mat img,
                                     java.lang.String text,
                                     Point org,
                                     int fontFace,
                                     double fontScale,
                                     Scalar color,
                                     int thickness)

    - #### putText

          public static void putText(Mat img,
                                     java.lang.String text,
                                     Point org,
                                     int fontFace,
                                     double fontScale,
                                     Scalar color)

    - #### pyrDown

          public static void pyrDown(Mat src,
                                     Mat dst,
                                     Size dstsize,
                                     int borderType)

    - #### pyrDown

          public static void pyrDown(Mat src,
                                     Mat dst,
                                     Size dstsize)

    - #### pyrDown

          public static void pyrDown(Mat src,
                                     Mat dst)

    - #### pyrMeanShiftFiltering

          public static void pyrMeanShiftFiltering(Mat src,
                                                   Mat dst,
                                                   double sp,
                                                   double sr,
                                                   int maxLevel,
                                                   TermCriteria termcrit)

    - #### pyrMeanShiftFiltering

          public static void pyrMeanShiftFiltering(Mat src,
                                                   Mat dst,
                                                   double sp,
                                                   double sr,
                                                   int maxLevel)

    - #### pyrMeanShiftFiltering

          public static void pyrMeanShiftFiltering(Mat src,
                                                   Mat dst,
                                                   double sp,
                                                   double sr)

    - #### pyrUp

          public static void pyrUp(Mat src,
                                   Mat dst,
                                   Size dstsize,
                                   int borderType)

    - #### pyrUp

          public static void pyrUp(Mat src,
                                   Mat dst,
                                   Size dstsize)

    - #### pyrUp

          public static void pyrUp(Mat src,
                                   Mat dst)

    - #### rectangle

          public static void rectangle(Mat img,
                                       Point pt1,
                                       Point pt2,
                                       Scalar color,
                                       int thickness,
                                       int lineType,
                                       int shift)

    - #### rectangle

          public static void rectangle(Mat img,
                                       Point pt1,
                                       Point pt2,
                                       Scalar color,
                                       int thickness,
                                       int lineType)

    - #### rectangle

          public static void rectangle(Mat img,
                                       Point pt1,
                                       Point pt2,
                                       Scalar color,
                                       int thickness)

    - #### rectangle

          public static void rectangle(Mat img,
                                       Point pt1,
                                       Point pt2,
                                       Scalar color)

    - #### remap

          public static void remap(Mat src,
                                   Mat dst,
                                   Mat map1,
                                   Mat map2,
                                   int interpolation,
                                   int borderMode,
                                   Scalar borderValue)

    - #### remap

          public static void remap(Mat src,
                                   Mat dst,
                                   Mat map1,
                                   Mat map2,
                                   int interpolation,
                                   int borderMode)

    - #### remap

          public static void remap(Mat src,
                                   Mat dst,
                                   Mat map1,
                                   Mat map2,
                                   int interpolation)

    - #### resize

          public static void resize(Mat src,
                                    Mat dst,
                                    Size dsize,
                                    double fx,
                                    double fy,
                                    int interpolation)

    - #### resize

          public static void resize(Mat src,
                                    Mat dst,
                                    Size dsize,
                                    double fx,
                                    double fy)

    - #### resize

          public static void resize(Mat src,
                                    Mat dst,
                                    Size dsize,
                                    double fx)

    - #### resize

          public static void resize(Mat src,
                                    Mat dst,
                                    Size dsize)

    - #### sepFilter2D

          public static void sepFilter2D(Mat src,
                                         Mat dst,
                                         int ddepth,
                                         Mat kernelX,
                                         Mat kernelY,
                                         Point anchor,
                                         double delta,
                                         int borderType)

    - #### sepFilter2D

          public static void sepFilter2D(Mat src,
                                         Mat dst,
                                         int ddepth,
                                         Mat kernelX,
                                         Mat kernelY,
                                         Point anchor,
                                         double delta)

    - #### sepFilter2D

          public static void sepFilter2D(Mat src,
                                         Mat dst,
                                         int ddepth,
                                         Mat kernelX,
                                         Mat kernelY,
                                         Point anchor)

    - #### sepFilter2D

          public static void sepFilter2D(Mat src,
                                         Mat dst,
                                         int ddepth,
                                         Mat kernelX,
                                         Mat kernelY)

    - #### spatialGradient

          public static void spatialGradient(Mat src,
                                             Mat dx,
                                             Mat dy,
                                             int ksize,
                                             int borderType)

    - #### spatialGradient

          public static void spatialGradient(Mat src,
                                             Mat dx,
                                             Mat dy,
                                             int ksize)

    - #### spatialGradient

          public static void spatialGradient(Mat src,
                                             Mat dx,
                                             Mat dy)

    - #### sqrBoxFilter

          public static void sqrBoxFilter(Mat _src,
                                          Mat _dst,
                                          int ddepth,
                                          Size ksize,
                                          Point anchor,
                                          boolean normalize,
                                          int borderType)

    - #### sqrBoxFilter

          public static void sqrBoxFilter(Mat _src,
                                          Mat _dst,
                                          int ddepth,
                                          Size ksize,
                                          Point anchor,
                                          boolean normalize)

    - #### sqrBoxFilter

          public static void sqrBoxFilter(Mat _src,
                                          Mat _dst,
                                          int ddepth,
                                          Size ksize,
                                          Point anchor)

    - #### sqrBoxFilter

          public static void sqrBoxFilter(Mat _src,
                                          Mat _dst,
                                          int ddepth,
                                          Size ksize)

    - #### undistort

          public static void undistort(Mat src,
                                       Mat dst,
                                       Mat cameraMatrix,
                                       Mat distCoeffs,
                                       Mat newCameraMatrix)

    - #### undistort

          public static void undistort(Mat src,
                                       Mat dst,
                                       Mat cameraMatrix,
                                       Mat distCoeffs)

    - #### undistortPointsIter

          public static void undistortPointsIter(Mat src,
                                                 Mat dst,
                                                 Mat cameraMatrix,
                                                 Mat distCoeffs,
                                                 Mat R,
                                                 Mat P,
                                                 TermCriteria criteria)

    - #### undistortPoints

          public static void undistortPoints(Mat src,
                                             Mat dst,
                                             Mat cameraMatrix,
                                             Mat distCoeffs,
                                             Mat R,
                                             Mat P)

    - #### undistortPoints

          public static void undistortPoints(Mat src,
                                             Mat dst,
                                             Mat cameraMatrix,
                                             Mat distCoeffs,
                                             Mat R)

    - #### undistortPoints

          public static void undistortPoints(Mat src,
                                             Mat dst,
                                             Mat cameraMatrix,
                                             Mat distCoeffs)

    - #### warpAffine

          public static void warpAffine(Mat src,
                                        Mat dst,
                                        Mat M,
                                        Size dsize,
                                        int flags,
                                        int borderMode,
                                        Scalar borderValue)

    - #### warpAffine

          public static void warpAffine(Mat src,
                                        Mat dst,
                                        Mat M,
                                        Size dsize,
                                        int flags,
                                        int borderMode)

    - #### warpAffine

          public static void warpAffine(Mat src,
                                        Mat dst,
                                        Mat M,
                                        Size dsize,
                                        int flags)

    - #### warpAffine

          public static void warpAffine(Mat src,
                                        Mat dst,
                                        Mat M,
                                        Size dsize)

    - #### warpPerspective

          public static void warpPerspective(Mat src,
                                             Mat dst,
                                             Mat M,
                                             Size dsize,
                                             int flags,
                                             int borderMode,
                                             Scalar borderValue)

    - #### warpPerspective

          public static void warpPerspective(Mat src,
                                             Mat dst,
                                             Mat M,
                                             Size dsize,
                                             int flags,
                                             int borderMode)

    - #### warpPerspective

          public static void warpPerspective(Mat src,
                                             Mat dst,
                                             Mat M,
                                             Size dsize,
                                             int flags)

    - #### warpPerspective

          public static void warpPerspective(Mat src,
                                             Mat dst,
                                             Mat M,
                                             Size dsize)

    - #### warpPolar

          public static void warpPolar(Mat src,
                                       Mat dst,
                                       Size dsize,
                                       Point center,
                                       double maxRadius,
                                       int flags)

    - #### watershed

          public static void watershed(Mat image,
                                       Mat markers)

    - #### getTextSize

          public static Size getTextSize(java.lang.String text,
                                         int fontFace,
                                         double fontScale,
                                         int thickness,
                                         int[] baseLine)

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3